Charakteristika programu

 pspadico PSPad - charakteristika programu
Proč používat PSPad ?

· Pracujete se soubory v různých formátech a kódových stránkách ?
· Líbí se vám, barevně zvýrazněna syntaxe v daném souboru ?
· Potřebujete nástroj s jednoduchostí NOTEPADU a vymoženostmi programátorských editorů ?
· Potřebujete srovnávat verze zdrojových kódů a nechcete kvůli tomu instalova SourceSafe ?
· Používáte nějaký exotický programovací jazyk a chtěli byste grafické uživatelské rohraní ?

Pokud jste aspoň na jednu otázku odpověděli ANO, je PSpad pro vás to pravé.
Pro první seznámení doporučuji přečíst si v nápovědě příklad tvorby HTML stránky

pspad1

Co PSPad nabízí ?

· Velmi jednoduchá a intuitivní práce, při prvním spuštění není třeba nic složitě konfigurovat
· Neomezená délka editovaného textu
· Možnost otevření více dokumentů současně
· Záznam maker s možností uložení na disk a ruční editace
· Práce s projekty
· Hledání a nahrazování v souborech
· Nalezení rozdílů v textových souborech (porovnání verzí)
· Zvýraznění syntaxe pro více jak 30 druhů souborů s rozlišením 7 dialektů syntaxe SQL
· Automatické rozpoznání syntaxe podle typu souboru s možností manuální změny
· Pro každý typ definovatelné barvy pro zvýraznění syntaxe, masky souborů a externí programy
· Snadná definice vlastního zvýrazňovače, (pokud máte nějaký exotický typ souboru) a použití až tří definic současně
· Pro každé prostředí možnost nastavit 5 externích programů + kompilátor
· Definovatelné šablony (např. HTML tagy, skripty, kusy kódy, deklarace atd.). Šablony lze vkládat přes seznam nebo je vyvolávat klávesovými zkratkami. Součástí instalace jsou šablony pro HTML, PHP, JScript, VBScript, MS-Dos Batch, Pascal, Perl, MY-SQL, OtherCad, IEC113, atd.
· Online HTML náhled ve vnitřním prohlížeči.
· Tisk se zvýrazněnou syntaxí s možností náhledu před tiskem a nastavením vzhledu stránky
· Sloupcové, řádkové a normální bloky
· Záložky v textu
· Automatické opravy
· Konverze češtiny mezi Windows 1250, Latin II, Kamenických, ISO 8859-2, UNICODE, UTF-8 s možností automatické detekce.
· Editor si poradí s formátem souborů DOS, MAC, UNIX včetně jejich konverze
· HEXA editor
· Program si pamatuje historii otevřených souborů a projektů, umí při spuštění otevřít soubory, které byly otevřeny při ukončení, zapamatuje si stav souboru při jeho uzavření a při příštím otevření jej otevře ve stavu, ve kterém jste jej opustili.
· Export do RTF a HTML souboru nebo do schránky se zachováním zvýrazněné syntaxe
· Přímé odeslání souboru na disketu, jako přílohu nebo obsah e-Mailu
· Volitelné zobrazení čísel řádků, podbarvení aktuálního řádku, pravítko
· Převody velikosti písmen (malá, velká, první písmena velká)
· Přeformátování a komprese HTML kódu, změna velikosti písmen pro TAGy, odstranění tagů
· Odstranění prázdných řádků, nadbytečných mezer, přidání textu do řádků
· Odstranění diakritiky z textu
· Otevření souboru, který je předán jako parametr nebo přetažen na plochu programu
· Editace souborů s atributy ReadOnly, Hidden, System se zachováním atributů
· Samostatný EXE bez nutnosti instalace a závislosti na dalších knihovnách, které nejsou součástí systému
· Minimalizace do systémové ikony
· Možnost lokalizace do jiných jazyků (součástí instalace je angličtina, slovenština)
· Rozšíření kontextové nabídky (pravé tlačítko myši) v průzkumníku o možnost otevření souborů PSPadem, přímé přiřazení TXT souborů, integrace do prohlížečů IE, OPERA. Samozřejmostí je opětovné odstranění přiřazení.


Novinky a historie změn

 pspadico PSPad - novinky a historie změn
Legenda :
· přidáno
· odebráno
· opraveno

v3.5.8 12.7.2002
· přidán Code explorer (menu nástroje, pravé tačítko myši). Zobrazuje obsah souboru ve stromové struktuře. Zatím pro XML, Pascal, INI, HTML
· přidána kontrola pravopisu (menu zobrazit/kontrola pravopisu a nástroje/pravopis F7). Více podrobností v samostatné kapitole.
· přidáno doplnění diakritiky do textu (menu nástroje/konverze textu/doplnění diakritiky)
· při spouštění externích programů a kompilátoru doplněny makra %URLFile% a %HttpFile%. Vrací cestu k souboru ve tvaru file://localhost/disk:/cesta/soubor a http://localhost/disk:/cesta/soubor
· ikony "zavření souboru" a "vždy nahoře" přesunuty do panelu menu
· vkládání textu do řádků - rozšířena možnost číslování - přidáno nastavení počtu číslic
· v PHP jsou zvžrazňovány proměnné i v řetězcích
· přepočet číselných soustav - doplněn převod z Roman, přidán převod na libovolnou soustavu základu 3..15 (výchozí 8)
· při automatickém zalamování, textem se skutečnými tabulátory a vypnutými skut.tabulátory se po odřádkování chybně nastavil kurzor
· při změně syntaxe a stisknutí "Storno" se nevrátila původní syntaxe, pokud vyl prostý text
· při otevírání UTF-8 PSPad "sežral" 1 byte na konci souboru
· zrychleno přeformátování textu (Ctrl+K). Na dlouhých textech trvalo dlouho
· při přepnutí na jiný typ souboru zůstávaly horké klávesy na šablony, pokud soubor se šablonami neexistoval
· okno pro formátování kódu se nezobrazilo uprostřed hlavního okna
· při automatickém ukládání se ukládaly i nové soubory
· Import RTF2HTML v některých případech vkládal znak #11
· při MultiUser nastavení se špatně předávaly soubory otevřené "zvenku"
· při vkládání sloupcového bloku zůstane kurzor vedle bloku, ne pod ním
· synchronizace oken pracuje i s pohybem kolečkem, posuvníky apod.
· nápověda k prostředí se řídí i podle skriptu v multizvýrazňovači
· pokud při setřídění nedojde ke změně, neoznačuje se soubor jako změněný

v3.5.7 27.6.2002
· rozšíření možností Tray ikony (otevření konkrétního souboru, otevření prázdného PSPadu)
· provní tři externí programy je možno spustit pomocí klávesových zkratek (F9, Alt+F9, Shift+F9)
· pokud jsou zobrazeny 2 soubory v rozdeleném okně, pak volba "Porovnat se souborem" provede porovnání zobrazených souborů
· před znovunačením změněného souboru zobrazeno varování
· poprvé je automaticky vybrán výchozí poštovní klient (není nutno nastavovat v parametrech)
· změna výchozí stránky v nastavení nepovolovala tlačítko "Použít"
· chyba při otevírání souborů s datumem 1.1.1600 apod.
· opraven nahled HTML z R/O médií
· zalomené řádky v HTML byly zobrazeny tučně
· ve zvýrazňovači pro SQL byl text mezi uvozovkami zvýrazněn jako řetězec
· při vypnutém vkládání Cr+Lf na konec souboru a kódování UTF-8 mizely poslední znaky
· opraven Access violation při ukončení porovnávání
· komentování a odkomentování kódu nepracovalo, pokud se text označil zdola nahoru
· nový soubor přes rozbalovací menu otevřel existující soubor, pokud existoval v adresáři PSPadu
· oprava detekce CP

v3.5.6 8.6.2002
· v Nastavení programu / Systém je možno zaregistrovat typy souborů pro přímé otevírání v PSPadu
· PSPad je možno nastavit pro víceuživatelské prostředí (např. WinNT) v Nastavení programu / Systém. Konfigurace a makra se pak ukládají do adresáře profilu
· v Nastavení programu / Editor je možno nastavit výchozí CP pro otevírání souborů
· dialog hledání nabídne předvyplněno slovo pod kurzorem, pokud není nic označeno
· do hledání v souborech doplněna historie prohledávaných adresářů a souborových masek
· minimalizace do ikony přesunuta na záložku Systém
· odebráno otevírat vše v CP1250
· ze zapamatovani stavu souboru odebráno zapamatování CP
· chyba MAPI při pokusu odeslat nový neuložený dokument
· oprava v dvojkliku na jméně souboru v projektu
· odstraněny chyby, pokud je PSpad v Read/Only prostředí

v3.5.5 3.6.2002
· v parametrech je možno vypnout zapisování identifikačních bytů pro kódování UTF, doplněna autodetekce pro UTF-8 soubory bez identifikačních bytů
· je možno nastavit barvu písma a pozadí sekcí v multizvýrazňovači (dosud černá na šedém podkladu)
· nový parametr umožňuje skrýt typy souborů na záložkách (parametry programu)
· porovnávání obsahu souborů (menu nástroje / porovnat se souborem). Ctrl+Up/Down pohyb po změnách. Vice zde.
· dvojklik na souboru v projektu je otevře jako HEXA / Text / výchozím programem.
· přes pravé tlačítko na soubrou projektu si můžete vybrat způsob otevření Text / HEXA / výchozím programem
· při přidávání souborů do projektu nebo jejich seřazení (pravé tlačítko myši) už není nutné stát přímo na složce
· do uživatelského zvýrazňovače přidán jako komentář znak "%"
· při zobrazování zdroje HTML z IE je zapnut zvýrazňovač HTML (IE nepředává typ souboru)
· na lištu přidána ikona pro "vždy nahoře"
· doplněna možnost okomentování bloku i pro PHP pomocí "//"
· předěláno přetahování záložek. Nyní se záložky "nepřehazují", ale tažená se zařadí za/před cílovou záložku
· při uložit jako bez udání typu souboru se doplní první přípona z filtru
· nebylo možné otevřít soubor, pokud byl otevřen třeba v IE
· nebylo možné editovat soubor přímo z IE (do názvu se dostalo znak "+" a soubor nebyl nalezen)
· pokud se zadala v parametrech délka řádku třeba 50000 znaků (max.je 20000), zapsalo se to, ale při příštím otevření se ukázalo 200 (min.hodnota). Nyní se to opraví na max.hodnotu a při "Použít" se to i zobrazí
· pokud soubor otevíraný z dříve otevřených neexistuje nebo nejde otevřít, je to oznámeno a neotevírá se prázdný
· při editaci při zalomeném řádku v multizvýrazňovači nastávaly chyby "Assertion failed"
· odstraněny některé problémy s mizením kurzoru
· při otevření nového souboru ne otevřen skutečně nový, i když soubor s tím jménem existuje
· zinteligentnění hledání dalšího/předchozího výskytu slova pod kurzorem
· nastavení stránky v náhledu před tiskem resetovalo tisk syntaxe, barev a čísel řádků
· při řádkových operacích (velikost písmen apod.) docházelo k blikání teploměru
· opravena velikost dialogu pro výběr HTML barev
· v některých případech nebyly zobrazeny všechny číslice v číslování řádků
· odstranění prázdných mezer nevracelo zalomení textu
· v uživatelském zvýrazňovači se apostrof těsně za písmenem nebere jako začátek řetězce (MAthLab a vektory)

v3.5.4 3.5.2002
· import z RTF do HTML (menu HTML). Pro konverzi byly použity zdrojové kódy Davida Majdy (http://dmajda.hyperlink.cz)
· do třídění (menu úpravy / setřídit při označeném bloku) přidána možnost vypustit duplicitní řádky
· menu s HTML nástroji přesunuto do hlavní úrovně
· integrována přímo kontrola HTML (menu HTML / Kontrola HTML) Ctrl+F10. Podmínkou je existence tidycom.dll v adresáři PSPadu. Dvojklikem na řádek v LOGu jste nastaveni na příslušný řádek v Editoru
· přidány další manipulace s HTML kódem pomocí TiDy. Více v kapitole o TiDy.
· v LOG souboru jsou zvýrazněny řádky obsahující ERROR a WARNING barevnou tečkou
· přidán parametr, který umožní při ukládání vložit na konec souboru odřádkování, odstraněné ve verzi 3.5.2
· HTML komprese a přeformátování kódu pracuje i jen s označeným blokem
· do interního WWW prohlížeče doplněn panel s možností přepnutí do nejběžnějších rozlišení pro kontrolu zobrazeného obsahu
· maximální počet souborů zvýšen z původních 30 na 50
· odhalena chyba, která způsobovala úbytek systémových prostředků na W9x. Úbytek způsobovala komponenta editoru při zapnutém číslování řádků s uživatelským (úzkým) fontem
· při spouštění externího programu bez nastaveného LOGu se nenastavoval pracovní adresář k programu
· při dvojkliku na Tray ikonu se obsah obnovil 2x
· při vkládání ze schránky na nový řádek při zalomeném textu se kurzor umístil jeden znak před konec vloženého textu
· neuložené soubory se nezapisují do "dříve otevřených", i když soubor se stejným jménem existuje
· při spouštění označeného textu vznikaly dočasné soubory. Nyní vzniká jeden, který je mazán při ukončení programu.
· rozšířena oblast stavového řádku pro zobrazování pozice kurzoru

v3.5.3 25.4.2002
· při prvním spuštění programu (neexistuje PSPad.INI) se nastaví jazyk podle nastavení Windows (česky / slovensky / anglicky)
· označení bloku mezi souvisejícími závorkami Shift+Ctrl+M (menu Úpravy a menu na pravé tlačítko)
· zvýrazňovač Tcl/Tk - přidány atributy na zvýraznění proměnných a cest
· přidán parametr (nastavení programu) na vypnutí/zapnutí zobrazování chyb v interním HTML prohlížeči
· konvertor HTML entit pro WML doplněn o zpětnou konverzi z tvaru bez úvodních nul
· nový soubor se otevírá s CP nastavenou v menu (s výjimkou nastavení "Otevírat vše v CP1250" v parametrech)
· program umožnuje pomocí přepnutí na UTF-8 a znovunačtení otevřít soubor v UTF-8, který neobsahuje identifikační byty
· oprava komentářů v Tcl/Tk zvýrazňovači
· "Jdi na pozici" v některých případech označovalo text
· odstraněny problémy při otevírání nového souboru a existenci souboru "Novy1.TXT"
· při ukládání prázdného souboru došlo k chybě "Stream write error"
· odstraněny problémy s autodetekcí ISO 8859-2 se slovenštinou
· soubor označený jako automaticky občerstvovaný se při aktivaci PSpadu občerství bez upozornění
· při otevření 31. souboru (limit je 30) se soubor otevřel místo jiného bez upozornění
· pokus o odstranění "Access violation" při otevírání z ikony
· opraven problemy při tisku s tmavým pozadím a světlým písmem

v3.5.2 14.04.2002
· je možné ukládat a načítat barevné schéma celého pogramu (nastavení zvyrazňovačů). Zde najdete postup jak co nejjednodušeji nastavit barvy. Doufám, že se podělíte. Pěkná schémata zařadím do distribuce. Pár ukázkových schémat přiloženo.
· dvojklikem na jméno atributu v nastavování barev se stejný atribut nastaví podle aktuálního ve všech zvýrazňovačích
· jdi na řádek umožňuje i skok na absolutní pozici v souboru (nezalomené řádky)
· interní HTML náhled při zobrazení vytvoří další tlačítko na TaskBaru
· je možné mít jeden soubor v různých složkách projektu
· je možno nastavit barvu pozadí a písma označeného bloku (nastavení programu / editor)
· v hledání v souborech přidáno do dialogu potvrzování přepsání tlačítko "Storno"
· v interním WWW prohlížeči zrušeny hlášení o chybách ve skriptech apod.
· nový uživatelský zvýrazňovač pro AVR jednočipy
· po Ctrl+Home (End) a následném pohybu šipky se kurzor nastavil na předchozí pozici X
· v nastavení programu nebylo možné nastavit počáteční adresář výběrem
· podadresář Macro je vytvořen při uložení makra
· v "Nastavení programu" se při kliknutí na záložku "Editor" aktivovalo tlačítko "Použít"
· na konec souboru program přidával konec řádku (CrLf)
· pro "vyjmout z projektu" změněna horká klávesa na Ctrl+Del. Nebylo možné použít Del pro mazání při přejmenování složky nebo projektu

v3.5.1 10.04.2002
· přepracována práce s makry. Makra je možno přiřadit do 4 pozic a volat zkratkami F5 .. F8. Více zde.
· pro každý dokument je možno nastavit automatické občerstvování (menu okno). Je indikováno i na stavovém řádku
· v nastavení parametrů editoru je možno určit interval pro občerstvování (týká se HTML náhledu na pozadí a označeného souboru na popředí)
· v nastavení stránky je možno vypnout tisk hlavičky
· do menu a panelu nástrojů přidáno hledání související závorky a klávesová zkratka změněna na standardni Ctrl+M
· do uživatelských zvýrazňovačů přidán znak # jako komentář a oddělen komentář //
· předělán způsob zadávání barev. Nyní je možno zadat (namíchat) libovolnou barvu

v3.5.0 04.04.2002
· pokud je označen sloupcový blok a vyvolána funkce třídění, je automaticky nastaveno pokročilé třídění podle sloupce
· doplněna historie v dialogu "hledání v souborech"
· doplněno nové zobrazení pod XP (využití nových stylů)
· doplněno kódování UTF-8
· přidán uživatelský zvýrazňovač pro NullSoft install (Marek Gizela)
· úpravy HTML prohlížeče
· historie dialogu Hledání/nahrazování omezena na 10 posledních položek
· barva pisma a pozadi LOG okna respektuje nastaveni hlavnich barev editoru
· při rychlém zavírání souborů křížkem došlo k "Access violation"

v3.4.9 28.03.2002
· online HTML náhled (menu Okno nebo F10) bez nutnosti ukládání. Občerstvování na pozadí po 2s
· program je možno spustit s parametrem PSPad jmeno_souboru /nnn (nnn je číslo řádku, kam se editor nastaví)
· doplněn uživatelský zvýrazňovač pro Clipper (Kamil Vaclav)
· konečně vyřešeno otevírání nových souborů ve Windows Commanderu i při dříve spuštěném PSPadu
· při Ctrl+End neskočí ukazatel na konec posledního řádku, ale zůstane na začátku
· v HEXA editoru je možné přepínat mezi hexadecimální a dekadickou adresací (přes pravé tlačítko nebo menu zobrazit)
· opravena chyba při otevírání souborů přímo v HEXA editoru
· barva pozadi ASCII tabulky se nastavi podle barvy editoru
· při označování tagu nebyl označen <a celý
· opravena chyba "List index out of bounds" při zalomeném řádku v multizvýrazňovači a neuloženém souboru
· při "otevřít soubor jako" a přpnutí do jiné aplikace a zpět došlo k dotazu, zda načíst aktuální verzi souboru
· oprava při odřádkování se skutečnými tabulátory a automatickém odsazování

v3.4.8 02.03.2002
· změna jména zvýrazňovače "MS VBScript" na "VBScript"
· interní zvýrazňovač VBScriptu rozšířen o zvýrazňování sustémových funkcí a objektů
· pokud je označen blok textu, je v externím programu spuštěn pouze označený text
· možnost zálohovat soubory do určeného adresáře. Viz nastavení parametrů / adresář pro zálohy
· možnost otevřít aktuální dokument pod jiným jménem (Ctrl+D). Aktuální soubor se uloží pod zadaným jménem a otevře. Spojuje to v sobě současně akce "Uložit jako" a "Otevřít původní soubor"
· v HEXA je možno použít hledání s nahrazováním
· nabídku šablon je možno vyvolat prostředním tlačítkem myši. Nabídka se vyvolá na aktuální pozici kurzoru a je možno ji zavřít kliknutím mimo
· ztrácela se historie projektů
· chybné zobrazování (usekávání) písmen v ASCII tabulce
· při vyvolání nabídky šablon a stisku Enter nastala chyba "Index -1..."
· opraveno zvýrazňování -123 v Tcl/Tk

v3.4.7 28.02.2002
· označování tagů Shift+Ctrl+T (menu Nástroje / HTML) - stojíte v počátečním tagu a označí se až do konečného tagu
· rozšířeny možnosti interního Tcl/Tk zvýrazňovače (2 seznamy slov, options)
· doplněny filtry do SaveAs dialogu při ukládání z HTML multizvýrazňovače
· opravy zvýrazňování PHP v multizvýrazňovači
· při kopírování do schránky se zalomenými řádky nezůstalo zachováno zalomení

v3.4.6 25.02.2002
· z dialogu na výběr HTML barev je možno vyvolat i standardní dialog z Windows
· pomocí SHIFT+CTRL+dolů nebo nahoru lze hledat další nebo předchozí výskyty aktuálního slova pod kurzorem (např. deklarace a implementace procedury)
· opravy v dialogu nastavování zvýrazňovačů
· do interního Tcl/Tk zvýrazňovače doplněno 38 nových slov

v3.4.5 24.02.2002
· možnost definice uživatelského konvertoru. Více v samostatné kapitole
· možnost načtení a zápisu souborů v kódování UNICODE
· pokud si v nastavení zvýrazňovačů / kompilátor doplníte odkaz na soubor nápovědy, můžete využít nápovědu pro aktuální slovo pomocí Alt+F1
· při označování bloku se ve status baru se místo pozice kurzoru zobrazuje jeho rozměr
· udržuje se pořadí zobrazení souborů. Při zavření souboru se do popředí dostane ten, který byl editován předtím a ne vždy první.
· nový nástroj - Přepočet číselných soustav. Provádí převod mezi desítkovou, šestnáctkovou a dvojkovou soustavou
· v menu nápověda přidáno "Hlášení chyby". Pokud to budete používat, ušetříte čas sobě i mě. Položka je povolena, pokud je vybrán e-mailový klient (menu nastavení programu / systém)
· ukazatel průběhu se zobrazuje ve stavovém řádku místo v samostatném okně
· v nastavení zvýrazňovačů se nastaví aktivní zvýrazňovač i vrámci HTML multizvýrazňovače
· pokud v seznamu záložek (Shift+Ctrl+B) stiknete číslo záložky, provede se přímo skok na záložku
· na stavové liště je znázorněn způsob označování bloku. Dvojklikem je možno měnit druh bloku !!!
· na stavové liště je indikován stav "změněn" pomocí symbolu diskety
· v nastavení programu / editor je možno vypnout "úzký" font pro číslování řádků
· v náhledu před tiskem je možno nastavit vzhled stránky
· odebrána konverze textu pro WML. Nahrazena dodaným uživatelským konvertorem, který umí i opačnou konverzi
· první položka dialogu "Jdi na řádek" bude po zobrazení dialogu označena jako vybraná
· po nastavení barev zvýrazňovače a ukončení programu byla chyba "Acces violation ..."
· soubor bez přípony byl otevřen ve zvýrazňovači C++, místo "prostý text"
· nové soubory se nebudou ukládat při AutoSave !!!
· další oprava zvýrazňování proměnných v MS-Dos Bat
· pro ty, kterým se stále chybně zobrazují čísla řádků, vypněte si "úzký font" v nastavení programu / editor

v3.4.4 16.02.2002
· nové formátování kódu (menu Formát / Formátování kódu). Umožňuje měnit formátování pro zvolené atributy jazyka, umožňuje vrácení změn
· je možno přetahovat složky v rámci projektu
· font je možno nastavit různě pro HEXA editor a normální editor. Nastavuje se pro to, co je zrovna na obrazovce.
· ASCII tabulka reaguje na stisk klávesy. Při stisku např. ů se nastaví na příslušný řádek
· přidán parametr na zalamování podle nastaveného pravého okraje (možnosti / editor / zalamovat podle pravého okraje)
· oprava zobrazování HTML zdroje v IE 6+. Vadily mu uvozovky okolo jména programu
· při použití HTML multizvýrazňovače se nenačetla uživatelská definice barev
· při zapnutém zalamování a kompresi HTML došlo k zalomení skritpů
· MS-Dos batch nezvýrazňoval %jmeno% celé jako proměnnou
· ve zvýrazňovači PHP doplněna klíčová slova
· při zalomeném textu a HTML multizvýrazňovači opravena chyba "Index out of bounds (29)"

v3.4.3 13.02.2002
· přeuspořádán dialog pro nastavení programu
· přidán parametr na umístění panelu se soubory (nástroje / nastavení / záložky souborů nad projektem)
· přidán parametr na povolení/zakázání HTML multizvýrazňovače (nástroje / nastavení / editor)
· XML zvýrazňovač přiřazen do HTML multizvýrazňovače <XML> </XML>
· do hledání v souborech doplněna funkce "Dotaz před nahrazením"
· přidáno smazání TAGu (menu nástroje / HTML) nebo SHIFT+CTRL+DEL nebo pravé tlačítko
· přidáno označení TAGu (menu nástroje / HTML) nebo SHIFT+CTRL+T nebo pravé tlačítko
· změna - vychozí nastavení (první spuštění programu) minimalizace do ikony je zakázáno
· doplněna nápověda Kompilátor - příklady
· oprava při načítání HTML souborů - načítaly se někdy jako TXT
· při otevření více souborů z příkazové řádky docházelo k chybě
· přepracován převod tabulátorů na mezery
· při otevírání nového HTML souboru docházelo k chybě "List index out of bounds"
· oprava detekce mutizvýrazňovače, pokud soubor obsahoval <script...></script> na jednom řádku
· opravena chyba v HTML multizvýrazňovači s klávesovými zkratkami maker
· při "uložit jako" souboru bez přípony došlo k dosazení typu podle zvýrazňovače. Pokud daný soubor existoval, došlo k jeho přepsání bez upozornění.

v3.4.2 04.02.2002
· doplněna definice uživatelského zvýrazňovač pro ASP (autor Jiří Hudec)
· přidán standardní TCL/TK zvýrazňovač a přiřazen do HTML multizvýrazňovače <script ... TCL ..>
· doplněno řádkové komentování ozbnačeného bloku pro JScript: // a TCL/TK: #
· přidání a odebrání komentáře pracuje i v HTML multizvýrazňovači
· upraveno rozpoznávání skriptovacích jazyků v HTML dokumentu viz nastavení zvýrazňovačů

v3.4.1 04.02.2002
· 1.verze multizvýrazňovače HTML - v rámci HTML zvýrazňuje i skripty a nabízí nápovědu pro konkrétní skript
· v číslování řádků byl použit font "Terminal", který není k dispozici na všech verzích Windows. Pokud není k dispozici, je nastaven "Courier"
· pokud nebyl zobrazen žádný panel, nezobrazila se korektně po zapnutí čísla řádků

v3.4.0 04.02.2002
· PSPad si pamatuje historii Find/Replace dialogu i po ukončení programu
· kliknutím myši na pravítko lze nastavit ukazatel pravého okraje pro konkrétní dokument. Standardně zůstane nastavení z parametrů
· příkazu "uložit jako" přiřazena klávesová zkratka F12
· zvětšení a zmenšení bloku je teď možné i pomocí kláves TAB a SHIFT+TAB
· program si pamatuje předchozí zadání v "Jdi na řádek" (do ukončení programu)
· levý šedý pruh se zobrazí při zapnutém řádkování nebo při existenci záložky
· do historie souborů se zapisují všechny, tedy i soubory předané jako parametr
· při povoleném vstupu za konec řádku, zalomeném textu a mazání došlo k zatuhnutí programu
· oprava vkladaní ze schránky při zalomeném textu a označeném bloku - nesmazal se původní text


Historie do verze 3.3.6

 pspadico PSPad - historie změn do verze 3.3.6
Legenda :
· přidáno
· odebráno
· opraveno

v3.3.6 29.01.2002
· doplněna klávesová zkratka na WordWrap (zalomení textu) - CTRL+W
· roztažena velikost dříve otevřených souborů (zobrazeno více znaků z názvu)
· doplněn název souboru do hintu na tlačítku se jménem souboru na liště
· lištu se jmény souborů můžete přesunout dolů, pokud kliknete pravou myší mimo tačítka s názvem souboru
· při zobrazení aktuálního řádku zůstanou zachovány původní barvy, mění se pouze pozadí řádku
· program již načte celý soubor, i když obsahuje znak 00h
· zobrazování netisknutelných znaků už zobrazuje i tabulátory
· podstatné zrychlení hromadného hledání s nahrazením v dlouhých textech
· HTML komprese nahrazuje znak tabulátoru 09h znakem mezera 20h
· hlavičky šablony MS-Dos Batch přeloženy do češtiny Davidem Tardonem
· pokud zrovna při přetahování textu došlo k Autosave, přetažený text se umístil na okamžité pozici kurzoru
· pokud se otevírá existující soubor a je otevřen pouze jeden nový nezměněný, zavře se a zůstane otevřen pouze ten nový
· oprava zvyrazňovače C++ při direktivách překladače s komentáři
· opravena chyba při testování přípon, přímo otevíraných v HEXA editoru
· optimalizace odstraňování nadbytečných mezer
· opravena chyba Access Violation při zavírání souboru. Chyba byla v Automatických opravách.

v3.3.5 05.01.2002
· v parametrech programu máte možnost nastavit maximální délku řádky
· přidán parametr, který řídí zapamatování stavu souboru (parametry programu / zapamatovat stav souboru)
· v menu nástroje přidána možnost monitorovat schránku. Podrobnosti v popisu menu
· při ručním vyvolání "Uložit vše" je resetován interval automatického ukládání
· po hromadném hledání s nahrazením bez dotazu je zobrazen počet nahrazení a následné UNDO vrací všechna nahrazení najednou
· zvyrazňovač pro assembler bere jako komentář i znak @ (GNU překladač), doplněno i jako možnost v uživatelském zvýrazňovači
· opravena chyba s aktualizací čísel řádků při zalomeném textu a skrolování pomocí lišty
· při přeformátování textu byla chyba, pokud kurzor stál na posledním řádku neoznačeného textu
· opraveny problémy při několikanásobném přeformátování a kompresi HTML a UNDO / REDO
· editace a kompilace makra doplněna i do menu tlačítka na liště makra
· hledání odpovídající závorky změněno z CTRL+ALT+B na CTRL+ALT+M
· oprava přidělování prvního uživatelského zvýrazňovače
· pokud byl hlavní soubor na jiném disku než soubor projektu, ztratilo se označení hlavního souboru
· po změně velikosti TAGů nebo klíčových slov se soubor neoznačil jako změněný

v3.3.4 27.12.2001
· v parametrech programu / systém je možno nadefinovat přípony, které se mají otevírat přímo v HEXA editoru při předání souboru jako parametr
· je možno kód okomentovat nebo komentář odstranit (menu formát / přidat nebo odstranit komentář, popř. Shift+Ctrl+A a Shift+Ctrl+R). Podrobnosti v popisu menu
· do uživatelského zvýrazňovače přidány další způsoby komentářů (REM a !) a je možno nezávisle zvolit typ řetězců
· přidáno uživatelské zvýraznění syntaxe pro TCL/TK od Luďka Melichara
· upraveno přeformátování textu. Pokud není text označen, přeformátuje aktuální odstavec
· menu Soubor / Konec vždy ukončí PSPad úplně, bez minimlizace do ikony
· pod tlačitkem k uložení najdete i uložení beze změny času souboru Ctrl+Alt+S
· změna zobrazení menu programů při spouštění externích programů přes tlačítko. Klávesa F9 zůstává beze změny
· zrušeno omezení že klíčová slova uživatelského zvýrazňovače nesmí začínat dakritikou
· přeformátování textu už neodstraňuje prázdné řádky. Ty naopak slouží k oddělení odstavců
· ve zvýrazňovači pro MSDos opraveno zvýrazňování komentářů REM
· při zobrazeném HEXA editoru a po přepnutí mezi soubory se v HEXA editoru nezobrazil kurzor
· ošetřeno otevírání souborů, ke kterým přístup není možný
· při nahrazování s dotazem se nalezený text přesune na 2.řádek, takže není překryt dialogem
· vytvoření šablony z bloku v uživatelském zvýrazňovači neprovedlo vytvoření šablony se jménem zvýrazňovače, ale Generalx

v3.3.3 19.12.2001
· editace a zpětná kompilace makra (menu nástroje / makro). Přehled příkazů najdete zde. Pro editaci maker je vytvořen uživatelský zvýrazňovač i šablona s příkazy. Stačí jej přiřadit do některé pozice pro uživatelský zvýrazňovač. Doporučení pro nastavení barev zvýrazňovače najdete v kapitole o makrech.
· v menu formát / velikost písmen lze změnit velikost klíčových slov jakéhokoliv prostředí na velká nebo malá písmena
· uvolnění pravidel pro klíčová slova uživatelských zvýrazňovačů. Je možno používat čísla a diakritiku. Podmínkou je, že klíčového slovo musí začínat na písmeno bez diakritiky
· doplněno přelomení označeného podle nastavení pravého okraje (menu formát, CTRL+K)
· převod tabulátorů na mezery (menu nástroje / konverze textu)
· při automatickém ukládání problikne stavový řádek (optická signalizace)
· program si pamatuje nastavení šířky projektového stromu
· byl konflikt klávesových zkratek se zobrazením seznamu bookmarku a hledáním související závorky. Hledání závorky je změněno CTRL+ALT+B (je třeba stát před závorkou)

v3.3.2 10.12.2001
· nová práce se záložkami pomocí klávesových zkratek: ALT+Left nová záložka, ALT+Right zrušení záložky, ALT+Up, ALT+Down pohyb po záložkách
· zvýrazňovač pro x86 assembler bere jako řetězce kromě úvozovek i apostrofy
· je možno otevřít více nových souborů. Nové soubory jsou vzestupně číslovány
· přidána klávesová zkratka Shift+Ctrl+O pro otevření v hexa editoru
· přes pravé tlačítko na nástrojové liště můžete zapínat a vypínat jednotlivé panely
· při přetahování tlačítek na liště se nepřetáhla tečka, označující změněný soubor
· při předání neexistujícího projektu jako parametru skončil program chybou
· pokud se při zobrazeném oknu (třeba pro hledání) zavolal PSPad "zvenku", došlo jakoby k zatuhnutí aplikace - nebylo možno editovat
· při změně kódové stránky je soubor označen za změněný

v3.3.1 6.12.2001
· možnost nastavit interval pro automatické ukládání souborů - nastavení programu
· v nápovědě zpřístupněna záložka hledání. Pro hledání je možno využít i zástupné znaky, např. *
· v nastavení programu je možno nastavit, že se kurzor nepřesouvá při stisku pravého tlačítka myši
· přidána možnost tisku vybraného textu
· v náhledu před tiskem je možno rolovat kolečkem myši. Prostřední tlačítko přepne na velikost "celá stránka" a kolečko pak roluje po stránkách
· v nastavení stránky pro tisk je možno nastavit písmo, kterým se bude tisknout nezávisle na písmu editoru
· při otevření 2 souborů v rozděleném okně jsou jména zobrazených souborů zobrazena červeně
· soubor zůstane označen jako modifikovaný i po úplném UNDO
· při tisku bude vždy bílé pozadí
· v náhledu před tiskem došlo při vypnutí čísel stránek (zobrazena poslední stránka, když skrytím čísel řádků došlo k snížení počtu stránek) k chybě Access Violation
· pokud nebyl žádný panel viditelný, nezobrazil se samostatně panel projektu
· opravena chyba při otevírání a zavírání souborů s otevřeným Hexa editorem

v3.3.0 22.10.2001
· ve stromu projektu je možno klávesou DEL vyřadit soubor z projektu
· HEXA editor umožňuje klávesou INSERT přepínat mezi režimem přepisování a vkládání. Režim je indikován na stavovém řádku
· v projektovém stromu je možno přes pravé tlačítko seřadit soubory ve složce dle abecedy
· na pravé tlačítko přidána do LOGu možnost konverze češtiny z OEM na ANSI
· přidána možnost otevřít soubor přímo v HEXA editoru - menu Soubor a malá šipka vedle ikony k otevření souboru
· Undo a Redo přesunuty z panelu editace do hlavního panelu
· při přidání více souborů do projektu najednou se provede jejich setřídění abecedně
· při prvním kliknutí na menu Soubor / Dříve otevřené byla položka menu nepřístupná
· pokud se změní formát souboru (DOS, MAC, UNIX), nastaví se soubor do stavu změněn
· při nahrazování s dotazem zůstal zobrazený dialog pro zadávání + doplněno zobrazení co a čím se nahrazuje
· při vkládání šablony přímo přes SHIFT+Space pokud šablona není nalezena, vloží se normální mezera
· ASCII a Color Dialog zůstaly zobrazené po zavření do ikony
· LOG window už není omezeno délkou textu
· oprava v definici vlastního zvýrazňovače - delší klíčová slova byla rozdělena na dva řádky
· na Win9x docházelo k smazání souboru projektu
· automatické opravy už neprovádějí opravu při přejíždění šipkami, ale pouze při psaní

v3.2.6 12.10.2001
· do filtrů při otevírání souboru doplněna položka Hexa edit (*.*), přes kterou otevřete soubor přímo v HEXA editoru. Hexa editor byl zapracován jako další normální záložka s modrou barvou popisku. Více informací v kapitole o Hexa editoru.
· při nahrávání makra se změní kursor na šipku s kamerou
· PSPad už obsahuje skutečný Hexa editor
· v menu zobrazit doplněna možnost nastavit PSPad "vždy nahoře"
· změny na liště souborů - změněný soubor má název jinou barvou
· doplněna změna velikosti písmen inverzně
· při hledání přidán dialog, informující o tom, že další výskyt nebyl nalezen
· do dialogu pro vkládání textu přidána možnost vložit text na určitou pozici a u vložení číslování počáteční číslo
· pokud stojíte na složce projektu a kliknete pravým tlačítkem, máte možnost přidat soubory do projektu pře dialog (s možností označení více položek současně)
· tak nám přibyla další slovenčina od Jano Skokánka - Slovensky.INI
· doplněny automatické opravy. Definici slov naleznete na nové záložce v nastavení programu
· nastavení zvýrazňovačů - náhradní proměnné za jména souborů lze vkládat i přes pravé tlačítko myši
· přehled klávesových zkratek v nápovědě obsahuje nyní všechny použité, nejenom zkratky editoru
· PSPad umí už i slovensky (díky Jozefu Kaprálovi) - Slovenský.INI
· Doplněna klávesová zkratka pro jdi na řádek. Nyní lze použít Alt+G i Ctrl+G
· V menu nástroje je nová položka Konverze textu. Obsahuje odstranění diakritiky (teď již chodí i pro označený text) a nově i konverzi diakritiky pro WAP.
· tlačíto HEXA zobrazení nezůstalo "stisknuté"
· minimalizace do ikony se chová jako standardní spouštění. Při vyvolání z ikony se otevře s posledně spuštěným souborem (projektem) jinak se otevírá s předaným souborem (projektem)
· při zavírání 2x otevřeného souboru se objevovala chyba "Access violation.."
· při přetažení souboru projektu na "volné místo" ve stromu projektu se objevila chyba
· upravena ASCII tabulka a dialogy při zobrazení s nastaveným bětším písmem ve Windows
· při jednořádkovém souboru (bez ukončení řádků) byl soubor detekován jako MAC formát. Opraveno na DOS formát
· při spuštění kompilátoru se okno s kompilátorem zobrazuje. Při chybě se nespouší automaticky parametry, ale následuje dotaz.
· pokud je skrytý panel projektu, pak při prostém obnovení z ikony zůstane skrytý.
· drobné opravy při tisku - tisk čísel řádků apod.
· do zvýrazňovače pro dávky MSDos přidáno asi 103 klíčových slov
· při přetahování v rámci projektu šel soubor přetáhnout nad kořen projektu
· při zavření jediného souboru a opětném otevření soubor téhož typu se nenastavily externi programy

v3.2.1 01.10.2001
· PSPad se přímo neukončí, ale minimalizuje do ikony vpravo dole. Je tak stále k dispozici. Úplné vypnutí se provede přes pravé tlačítko na ikoně. Funkci lze vypnout v parametrech programu.
· vráceno hexa zobrazení editovaného souboru
· změněna klávesová zkratka na změnu písmen "první velká" z CTRL+ALT+C na CTRL+ALT+T
· ikona na panelu nástrojů na zavření souboru se přestěhovala zcela vpravo
· do nabídky barev doplněny 4 nové slušivé barvy z Delphi6
· pokud se dá editace souboru .PPR (např. z WinCommanderu), dojde vždy k otevření projektu
· při zrušení zobrazení toho samého souboru 2x dojde k uzavření kopie
· doplněno pár velikostí zvětšení do náhledu, při zvětšování a zmenšování pracují obě tlačítka myši
· při hledání a nahrazování se nalezený výraz (pokud je to možné) pro lepší viditelnost zobrazí nahoře. V dialogu doplněny klávesové zkratky a odstraněno systémové menu (ikonka vlevo)
· změna velikosti písmen se provede pouze v označeném bloku (včetně sloupcového)
· aplikace se v některých případech nezobrazila v popředí při otevření souboru (např. ve WinCommanderu)
· v obyčejném textu opravena chyba při označení slova dvojklikem myši
· opravena chyba při náhledu před tiskem a barevném podkladu
· opravena chyba ve zvýrazňovači XML - sekce DocType
· opraveny chyby pomocí přecházení na slova pomocí Ctrl+šipky
· export do souboru se prováděl vždy do HTML, i když bylo zvoleno RTF

v3.2.0 28.10.2001
· v seznamu souborů je možno libovolný soubor zobrazit hexadecimálně přes pravé tlačítko myši
· další verze nástrojové lišty. Snad už bude omezeno blikání a podobné nehezké věci.
· pro každý externí program je možno zadat LOG soubor. Pokud je vyplněn, čeká se na dokončení programu a LOG je zobrazen. Pokud není LOG zadán, chová se to jako dosud, čili dokument se v externím programu pouze otevře. Při spouštění externího programu je možno využít všechna makra, související s názvem souboru, která jsou popsána na záložce nastavení kompilátoru.
· doplněna možnost až 3 uživatelských zvýrazňovačů současně + související úpravy v dialogu nastavování syntaxe
· v nápovědě budou postupně zveřejňovány příklady použití kompilátoru. Velmi dobře to lze použít třeba pro provádění SQL příkazů
· SHIFT+pravé tlačítko myši na jménu souborů na liště otevře soubor podruhé a zobrazí v rozděleném okně. Samozřejmě je funkční i CTRL+SHIFT+pravé tlačítko pro alternativní rozdělení okna
· pravým tlačítkem na seznamu souborů je možno přepínat mezi všemi / známými soubory. V základním stavu jsou zobrazeny pouze známé soubory (typ je registrován v některém zvýrazňovači). Program si pamatuje posledni stav.
· v hledání v souborech doplněno zvýraznění hledaného řetězce ve výsledcích
· nové parametry: poprvé soubor otevřít vždy v CP 1250 a možnost vypnutí změny druhu bloku pomoci myši a ALT
· nové parametry: vytváření záložních kopií souborů a zobrazení celé cesty při najetí myši na soubor v projektu
· možnost spustit kompilátor, zobrazit výsledky v LOG okně a po kompilaci spustit zkompilovaný program
· nastavování programu rozděleno na parametry a nastavení zvýrazňovačů.
· při zobrazeném stromu projektu je možno tlačítkem na panelu nástrojů projektu přepínat mezi projektem / seznamem souborů / projektem a seznamem souborů. Samozřejmostí je otevření souboru na dvojklik a přetažení souboru myší do projektu nebo klávesou CTRL+ENTER
· program si bez problému poradí se soubory ve formátu DOS, UNIX, MAC a umožňuje i jejich konverzi (menu formát / Formát souboru). Typ souboru se ukazuje na stavovém řádku.
· program umožňuje editovat i soubory s atributy ReadOnly, System, Hidden. Pouze po otevření takového souboru se nastaví soubor v PSPadu jako ReadOnly. Pokud to vypnete, můžete vesele editovat a ukládat. Soubor pak bude uložen na disk s původními atributy.
· pro každý otevřený soubor si pamatuje jeho stav při uzavření a při otevření jej obnoví.Týká se to i záložek, CP, pozice kurzoru atd. Vše uloženo v souboru PSCache.BIN. Při problémech soubor smazat. Neukládá se při vypnuté volbě ukládat historii (parametry programu)
· uživatelská šablona doplněna o druhý seznam klíčových slov - je možno je barevně odlišit.
· při výběru šablony ze seznamu je vybraná vždy na prvním řádku
· rozšířena šablona pro PHP (zaslal František Bláha)
· přidán uživatelský zvýrazňovač a šablona pro IEC1131 (Petr Vetešník)
· přidán uživatelský zvýrazňovač pro 8051 assembler (Jaromír Rezek)
· doplněna šablona pro FoxPro - přidáno asi 700 klíčových slov (klíčová slova zaslal Milan Kosina)
· zaznam makra rozšířen o příkazy pro práci se schránkou (Copy, Cut, Paste)
· možnost vyvolat seznam záložek a skok na vybranou záložku (tlačítko v panelu hledání, SHIFT+CTRL+B)
· opět předělány Nástrojové lišty
· při rozbalení nabídky záznam makra (malá šipka vpravo) se zobrazí i seznam uložených maker
· doplněna funkce hledání dalšího výskytu slova podle slova na pozici kurzoru (menu hledat, ALT+F3)
· na lištu přidáno tlačítko pro hledání s nahrazováním
· odebrán HEXA prohlížeč z menu Zobrazit
· odebráno tlačítko "Vše" z dialogu hledání a nahrazování. Ukázalo se, že je zbytečně matoucí. Jeho funkci přebírá OK.
· zalomené řádky a pokud se psalo uprostřed slova, ktere přesahovalo šířku stránky, slovo "přeskočilo" na nový řádek, ale kurzor zůstal na konci původního
· opravena chyba, která se projevila při zobrazení čísel řádků, prázdném souboru a zapnutí zalamování řádků
· obsah záložek se aktualizuje při každém otevření menu "jít na záložku"
· při použití uživatelského zvýrazňovače se šablona ukládala vždy do souboru GENERAL.DEF a ne do souboru dle jména zvýrazňovače (pokud již někdo má soubor šablon, přejmenujte jej podle jména vašeho zvýrazňovače)
· uživatelský zvýrazňovač už považuje za čísla i hexadecimální tvar 0F3h
· při nastavené angličtině docházelo k deformaci ikon v nástrojové liště
· program si pamatuje poslední projekt i po spuštění třeba z WinCommanderu
· oprava hledání v souborech ve vnořených adresářích na souborovém systému NTFS. Tlačítkem Storno je možno hledání přerušit.
· oprava ve zvýrazňovači HTML, PAS při přecházení na další/předchozí slovo pomocí CTRL+Right a CTRL+Left
· při otevření souboru z výsledků hledání v souborech je kontrolována pozice kurzoru, aby byla viditelná
· změna dialektu SQL je ve změně syntaxe přístupná vždy (dosud pouze při vybrané SQL syntaxi)
· "Uložit vše" je přístupné pouze v případě, že je změněn projekt nebo některý soubor
· volby pro integraci do Windows Commanderu a Opery nejsou přístupné v případě, že jsou tyto programy spuštěny
· při odstraňování diakritiky a zalomených řádcích byly všechny zalomené řádky převedeny na normální
· oprava chyby při vkládání textu zkopírovaného pomocí řádkového bloku na konec souboru
· klávesová zkratka pro mazání slova byla změněna z CTRL+T na standardní CTRL+Del
· při nahrávání makra a použití příkazů SHIFT+Insert a CTRL+Insert došlo ke zdvojení příkazů práce se schránkou
· oprava při změně velikosti písmen za použití sloupcového bloku

v3.1.0 20.9.2001
· přidána práce s projekty. Doporučuji přečíst kapitolu věnovanou přímo projektům
· přidán záznam makra (menu nástroje a zvláštní panel). Podrobnosti a příklady zde.
· přidáno hledání a nahrazování v souborech. Podrobnosti zde.
· v uživatelském zvýrazňovači doplněn styl komentářů FoxPro
· doplněn dialog pro nastavení tiskárny (hlavní menu a ikona na panelu nástrojů v náhledu)
· v nástroji na vkládání textu doplněna možnost pro vložení textu na konec řádků
· doplněna další klíčová slova do MS-Dos zvýrazňovače
· při otevírání souboru je "Nový dokument" nahrazen otevíraným (pokud není změněn)
· opraveno vybrat vše s nastaveným sloupcovým blokem
· oprava otevírání větších souborů s nastavenou jinou kódovou stránkou než CP 1250
· další opravy při zalamování řádků
· existovaly textové soubory, které PSPad nedokázal otevřít
· ošetření případu, kdy se v historii souborů objevil některý vícekrát
· opraveno automatické zarovnání při vložení nového řádku, pokud předchozí řádek obsahoval tabulátory
· oprava chyby při uložit jako, zapsání jména bez přípony u některých zvýrazňovačů (např.SQL)


Nejčastější dotazy

 pspadico PSPad - nejčastější dotazy
· Chybně se zobrazuje číslování řádků
V nastavení programu / Editor si zrušte nastavení volby "Úzký font pro čísla řádků"

· Chtěl bych úplně skrýt ukazatel pravého okraje
Nastavte si barvu pravého okraje na Window (stejnou jako barva pozadí editoru)

· Nechodí mi nastavení editoru pro Windows Commander
Doporučuji před nastavením Windows Commander ukončit. WC si totiž nastavení načte při startu a pokud máte nastaveno automatické ukládáni nastavení, tak jej při ukončení opět přepíše bez toho, že by se do nastavení podíval a změna, kterou PSPad provedl je ztracena.

· Jak vlastně funguje ta konverze kódových stránek ? Mám soubor v Latin II, chci jej převést do Windows 1250, ale při otevření se chybně zobrazují znaky
Automatická detekce není 100%. Bude zřejmě nutné zvolit ručně Latin II a dát "Otevřít znovu". Zobrazení by mělo být v pořádku. Potom si přepnete kódovou stránku na Windows a dáte "Uložit" nebo "Uložit jako"

· Hrál jsem si se změnou barev a celé jsem to rozvrtal. Co teď ?
Otevřete si soubor PSPad.INI, který se nachází v adresáři, kde je nainstalován PSPad. V tomto souboru smažte sekci jazyka, který chcete vrátit do původního stavu. Např. pro SQL syntaxi vyhledejte [SQL] a smažte vše až po další jméno sekce (text v hranatých závorkách)

· Mám zdroje v dosovském BASICu a chci je vytisknout se zvýrazněnou syntaxí
Otevřít soubor a tisknout. Samozřejmě musí být zapnuto zvýraznění syntaxe. Jak to vidíte na obrazovce, tak se to i vytiskne.

· Píšu manuál a chci uvést fragmenty kódu se zvýrazněnou syntaxí. Pokud text zkopíruji do schránky a vložím do manuálu, zvýraznění syntaxe se ztratí.
Místo volby Zkopírovat použijte na vybraný text Export do schránky. Tato volba zachová zvýraznění syntaxe.

· Chtěl bych si zkopírovat pouze sloupec textu
Držte klávesu ALT a myší si označte požadovaný blok textu nebo stiskněte SHIFT+CTRL+N a text označte šipkami

· Chtěl bych si v internetovém prohlížeči zobrazit zdroj stránky se zvýrazněnou syntaxí
Nahraďte si Notepad.EXE v konfiguraci prohlížeče za PSPad.EXE

· Nenačetla se mi správně čeština. Výchozí text je v Latin II
Pokud je text krátký nebo obsahuje pouze málo znaků s diakritikou, nemusí automatická detekce rozpoznat kódovou stránku textu. V menu "Formát" nastavte kódovou stránku Latin II a soubor znovu otevřete nebo zvolte "Otevřít znovu" v menu "Soubor"

· U FoxPro se chybně zvýrazňuje syntaxe - některá klíčová slova nejsou zvýrazněna
Problém je ve způsobu zápisu zdrojového textu FoxPro. Ten lze totiž psát zkráceně (stačí první 4 znaky). Pro zvýraznění syntaxe je to v některých případech zatím problém.

· Chtěl bych PSPad používat místo Notepadu, dodávaného s Windows
V nabídce Možnosti / Integrace do systému si zvolte otevírání TXT souborů PSPadem. Pokud tuto volbu opětovně zrušíte, soubory TXT se budou opět otevírat v programu NOTEPAD.EXE

· Chtěl bych použít jiná písma jako např. ARIAL apod.
PSPad není RFT editor jako je WORD. Veškerý text prostý, pouze je u na něj aplikováno zvýraznění syntaxe, takže se jeví, jako by byl napsán s různými druhy písma. Pro tyto účely se nejlépe hodí fonty s pevnou šířkou a pouze tyto fonty program nabízí.

· Po otevření souboru není přístupné tlačítko "Uložit"
Jedná se o soubor, který požívá kódování UNICODE. PSPad umí soubor otevřít a zobrazit, ale zatím ne uložit :-(
V tomto případě musíte použít volbu "Uložit jako", můžete jej uložit i pod původním jménem, ale s rizikem, že program, který soubor používá může mít problémy


Informace a kontakty

 pspadico PSPad - informace a kontakty
O programu

Program je psán v programovacím jazyku Borland Delphi 5

V programu jsou použity následující komponenty:
· SynEdit - komponenty pro zvýraznění syntaxe (http://synedit.sourceforge.net). Komponenty jsem rozšířil o několik funkcí (např. zalamování textu, rozšíření možností uživatelských zvýrazňovačů...)
· knihovna funkcí JCL - Jedi Code Library (http://www.delphi-jedi.org/)
· HexEditor - Markus Stephany, (http://home.t-online.de/home/mirbir.st)
· RTF2HTML - konverze RTF na HTML. Zdrojové kódy poskytl David Majda (http://dmajda.hyperlink.cz)
· TDiff - porovnání textu od Angus Johnson (http://www.users.on.net/johnson/delphi/)

Ostatní funkce a komponenty pochazí z mé vlastní tvorby a většinou vznikly v průběhu vývoje PSPadu
Program je šířen jako freeware (zdarma), takže ať pronásledují hrozné sny každého, kdo by chtěl na jeho šíření vydělávat :-)

O autorovi

jméno:    ing. Jan Fiala
e-mail:   pspad@wo.cz
www:      http://pspad.zde.cz  (popř. přímo http://www.volny.cz/pspad)

O firmě

adresa:   Prog-Soft s.r.o.
          Na Kovářské stráni 1
          317 03 PLZEŇ

telefon:  019 / 72 43 404
e-mail:   plzen@prog-soft.cz

Zabýváme se vývojem podnikového informačního systému INFOS specializovaného pro firmy se zaměřením na nápojářský průmysl - pivovary, vinařské závody, sodovkárny ale také velkosklady nápojů.
Historie informačního systému sahá až k roku 1990, je to náš původní výtvor, plně odpovídající prostředí české nápojářské firmy.
Z našich zákazníků bych jmenoval z vinařských závodů: Znovín, ČVZ Praha, VINIUM Velké Pavlovice z pivovarů např. pivovar Rebel, Samson, Černá Hora, Hostan, Ježek atd. Doufám, že ti, které jsem nejmenoval se nebudou cítit ukřivděni, neboť našich zákazníků je mnohem víc.
Takže pokud někdo podniká v podobné oblasti a hledá cenově dostupný informační systém, stačí zavolat.


Hexa editor

 pspadico PSPad - HEXA editor
PSPad od verze 3.2.6 obsahuje plnohodnotný HEXA editor.

Zamotný PSPad pracuje s textovými soubory. To znamená, že pokud se v souboru vyskytne znak s ASCII hodnotou 00h, je považován za konec textu. V praxi to znamená, že není možno přímo otevřít jakýkoliv soubor v editoru.

K čemu je HEXA editor dobrý ?
V Hexa editoru je soubor zobrazen po jednotlivých Bytech, vyjádřených v šestnáctkové soustavě. Tak přímo vidíte, jaké znaky se používají pro oddělovače řádků, jaký znak je použit pro konkrétní písmeno atd.

Jak editovat libovolný soubor ?
Použijte volbu Soubor / Otevřít v HEXA editu (popř. pomocí malé šipky vedle ikony pro otevření souboru na panelu nástrojů) a soubor se pak otevře přímo v HEXA editoru. V tomto případě není možnost přepnutí do textového režimu a soubor je indikován modrou barvou jména souboru na panelu souborů.

Jak editovat textový soubor ?
Soubor si otevřete přímo v textovém editoru a z menu zobrazit si zvolíte Hexadecimálně. Obsah editovaného textu je přenesen do HEXA editoru. Zde můžete provádět další změny a při změně zobrazení je změněný obsah přenesen zpět do textového editoru.

Co HEXA editor umožňuje ?
· přepínání mezi režimem přepisování a vkládání pomocí klávesy INSERT
· přechod na určitou adresu pomocí CTRL+G nebo ALT+G
· hledání hexadecimální hodnoty nebo textu pomocí CTRL+F
· hledání dalšího výskytu pomocí F3
· nastavování a skok na nastavené záložky SHIFT+CTRL+0..9 a CTRL+0..9

Jak se zadávají hodnoty v desítkové a šestnáctkové soustavě ?
při přechodu na určitou adresu je možno zadávat čísla jak v desítkové soustavě (normálně jak jste zvyklí) nebo v šestnáctkové soustavě - uvozené znakem $.

Příklad:
desítková  šestnáctková
  10         $0A
 255         $FF


Hledání v souborech

 pspadico PSPad - hledání v souborech
PSPad umožňuje kromě klasického hledání v otevřeném dokumentu i hledání a nahrazení textu hromadně ve specifikovaných souborech.

Parametry hledání

Rozsah hledání
· v souborech projektu - hledání se týká všech souborů projektu
· v otevřených souborech - hledání se týká pouze otevřených souborů, bez ohledu na zařazení v projektu
· v zadaném adresáři
prohledávaný adresář (lze využít výběr adresáře)
seznam typů souborů (jednotlivé typy jsou oddělené středníkem)
prohledávání podadresářů v zadané cestě

Hledaný text
· hledaný text - text který bude vyhledáván v souborech
· nahradit textem - pokud není zaškrtnuto, bude se pouze vyhledávat. Z bezpečnostních důvodů je při každém zobrazení formuláře zrušeno.
· nahradit textem - všechny výskyty hledaného textu budou nahrazeny zadaným textem
· hledat pouze celá slova - pokud zadáte k hledání řetězec Objekt, nebudou vyhledány a nahrazeny výrazy jako Objekty, MyObjekt apod.
· rozlišovat velikost písmen - určuje, zda velikost písmen hraje roli při hledání

Jak to pracuje
Po specifikaci parametrů je vytvořen seznam souborů a ty jsou následně prohledávány na výskyt řetězce. Pokud nemáte zvoleno nahrazování textu, obsah souboru se nemění. V opačném případě je provedeno nahrazení všech výskytů hledaného textu.
Hledání je kdykoliv možno přerušit klávesou Storno.

Výsledky hledání
Po prohledání souborů a nalezení minimálně jednoho výskytu je zobrazena karta výsledků hledání.
Ta obsahuje seznam souborů, ve kterých byl řetězec nalezen. Po kliknutí na jméno souboru dojde k rozbalení a zobrazení řádků, na kterých byl hledaný text nalezen.
Po dvojkliku na řádek dojde k otevření, popř. k přepnutí do souboru a nastavení kurzoru na odpovídající řádek. Výsledky hledání jsou kdykoliv přístupné, mažou se při ukončení programu nebo při zahájení nového hledání

pspad-filefind2

Na co si dát pozor
· nahrazování proběhne po úvodním dotazu bez jakýchkoliv dalších dotazů a budou nahrazeny všechny nalezené výskyty hledaného řetězce ve všech souborech
· hledání je prováděno pouze v souborech na disku, takže je vhodné před spuštěním hledání uložit provedené změny v otevřených souborech, pokud spadají do rozsahu hledání
· Důkladně si rozmyslete, kde a co chcete nahrazovat. Pokud necháte masku souborů na *.*, dojde k nahrazení ve všech souborech, tzn. i v programech (.EXE, .DLL apod.), takže skoro jistě přestanou pracovat. Doporučuji napřed provést hledání bez nahrazení, podívat se, kde se výsky nalezl a pak jako druhý krok provést nahrazení.


Kompilátor - příklady

 pspadico PSPad - příklady nastavení kompilátoru
O nastavení kompilátoru pojednává kapitola v nastavení zvýrazňovačů
Zde se dočtete o využití kompilátoru pro různá prostředí, příklady nastavení apod.
Z názvu kompilátor by se mohlo zdát, že použití je pouze pro kompilaci zdrojového kódu. Možná je název trochu zavádějící. Použití je všude tam, kde potřebujete soubor spustit v externím programu a zobrazit informace o průběhu, které externí program poskytuje.

Kromě řádkových kompilátorů pro různá exotická prostředí, různé kompilátory skriptů je vhodné využití třeba pro spouštění SQL skriptů.

Zeleně označený text nahraďte skutečnými hodnotami

LaTeX

kompilátor:  disk:\cesta\cslatex.bat
parametry:   %Name%.tex
LOG soubor:  %Name%.log
po kompilaci: windvi %Name%.dvi

Obsah CSLatex.BAT (předpokládá distribuci TeXLive):
@echo off
kpsewhich cslatex.fmt > nul
if errorlevel 1 goto genformat
if errorlevel 0 goto okay
:genformat
fmtutil --byfmt cslatex
:okay
latex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

LaTeX do PDF

kompilator :  disk:\cesta\pdfcslatex.bat
parametry  :  %Name%.tex
LOG souboru:  %Name%.log
po kompilaci: cesta_k_Acrobat_Readeru\AcroRd32 %Name%.pdf

Obsah PDFLatex.BAT (předpokládá distribuci TeXLive):
@echo off
kpsewhich pdfcslatex.fmt > nul
if errorlevel 1 goto genformat
if errorlevel 0 goto okay
:genformat
fmtutil --byfmt pdfcslatex
:okay
pdftex -translate-file=cp1250cs %1 %2 %3 %4 %5 %6 %7 %8 %9

MS-SQL

kompilátor: disk:\cesta\osql
parametry : -Sserver_name -Ulogin_name -Ppassword -ddatabase_name -n -w1000 -i"%File%" -o"%Dir%%Name%.log"
LOG soubor: %Dir%%Name%.log

Assembler x86 pomocí TurboAssembleru

kompilator  : disk:\cesta\PLUS80.EXE
parametry   : -s jmeno/heslo@db @disk:\cesta\RunSQL "%Dir%%Name%.Log" "%File%"
LOG soubor  : %Dir%%Name%.Log

Obsah pomocného souboru RunSQL.SQL:
spool &1
set term off
@&2
spool off
exit

Poznámky:
Nezapomeňte SQL dotaz ukončit středníkem !

Assembler x86 pomocí TurboAssembleru

kompilator  : disk:\cesta\tasm.bat
parametry   : disk:\cesta\tasm\ %Dir% %Name%
po kompilaci: %Dir%%Name%

obsah tasm.bat
@ECHO OFF
REM %1 = Cesta k souboru
REM %2 = Jmeno prekladaneho souboru bez pripony

REM Adresar prekladacu tasm.exe a tlink.exe je nejlepsi pridat do cesty
REM v autoexec.bat, coz se provede takto:
REM SET PATH=existujici\cesty;cesta\k\prekladaci

REM Nastaveni cesty
CD %1

REM V pripade, ze kompilator ohlasi chybu a tento zdrojak byl jiz prelozen drive
REM bez chyby, spusti se. Sice to nevadi, ale zdrzuje to. Nasledujici podminka
REM toto resi tak, ze pokud najde drive prelozeny spustitelny soubor, vymaze ho.
IF EXIST %2.exe DEL %2.exe

REM Preklad
tasm %2.asm
tlink %2.obj
REM Smazani nepotrebnych souboru
DEL %2.obj
DEL %2.map

Assembler 8051

kompilator: disk:\cesta\cass51.bat
parametry : disk:\cesta1\asm51 %Dir% %Name% %Ext%

obsah cass51.bat
@Echo Off
Rem Nastaveni pracovniho adresare
cd %1
Rem Kopie zdrojoveho souboru do prac. adr.
copy %2%3%4 %1%3%4
Rem Preklad
cass51 %3%4
Rem Smazani zdroj. souboru v prac. adresari
del %3%4
Rem Presun souboru *.prn a *.hex do zdrojoveho adr.
copy %3.* %2%3.*
del %3.*

Kix32 - externí příkazy

run  : disk:\cesta\Kix32.exe "%File%"
debug: disk:\cesta\Kix32.exe "%File%" /d

Turbo pascal

kompilator  : disk:\cesta\tpc.bat
parametry   : %Dir% %Name%
po kompilaci:  %Dir%%Name%

obsah tpc.bat
@ECHO OFF
REM %1 - Adresar zdrojoveho souboru
REM %2 - Jmeno zdrojoveho souboru bez pripony (ocekava se .pas)
REM Adresar prekladace tpc.exe je nejlepsi pridat do cesty v autoexec.bat,
REM coz se provede takto:
REM SET PATH=existujici\cesty;cesta\k\prekladaci

REM Nastaveni pracovniho adresare
CD %1
REM V pripade, ze kompilator ohlasi chybu a tento zdrojak byl jiz prelozen drive
REM bez chyby, spusti se. Sice to nevadi, ale zdrzuje to. Nasledujici podminka
REM toto resi tak, ze pokud najde drive prelozeny spustitelny soubor, vymaze ho.
IF EXIST %2.exe DEL %2.exe
tpc %2 -uD:\Programy\PASCAL\tpu -m
REM Vyznam parametru:
REM -u : specifikuje cestu k standardnim jednotkam Turbo Pascalu
REM -m : překompiluje změněné jednotky

TiDy - kontrola HTML kódu

run: disk:\cesta\TiDy-Win32.exe --indent yes --error-file %Name%.ERR --char-encoding raw --markup no --quiet yes %File%
log: %Name%.ERR


Kontrola pravopisu

 pspadico PSPad - kontrola pravopisu
Od verze 3.5.8 umožňuje PSpad kontrolu pravopisu.
Kontrola je nezávoslá na instalaci MS Office, PSPad využívá vlastní slovníky. Součástí instalace jsou slovníky pro češtinu a angličtinu. Další slovníky jsou ke stažení zde (dánština, němčina, italština, japonština, latina, polština, ruština, španělština, turečtina...)

Jak to pracuje:
Při prvním použití je načten slovník. Může to chvilku trvat, protože slovníky obsahují i 100000 slov. Pak je celý text procházen a pokud slovo není nalezeno ve slovníku, je označeno.
Kromě hlavního slovníku (.\Spell\Jazyk.verze.DIC), jsou slova, přidávaná do slovníku při kontrole ukládána do tzv. uživatelských slovníků. Při načtení slovníku se načítá i uživatelský slovník, pokud je k dispozici.
Tím je zajištěno, že se systém vlastně při kontrole učí nová slova. Uvědomte si ale, že to není všemocné. Existují slova, která se liší jen diakritikou nebo posledním písmenem. Použití takového slova na nesprávném místě kontrola pravopisu neodhalí.
Např: Věta má znít: "Koupil jsem mámě kolo". pokud místo toho napíšete "Koupil jsem máme kolem", kontrola pravopisu to neodhalí. K tomu by byla třeba kontrola gramatiky, ale ta není k dispozici pro češtinu ani v MS Office.
Ve zdrojovém kódu jsou opravována pouze slova, která mohou obsahovat text. Nebudou opravována klíčová slova, jména proměnných apod.
Nastavení kontroly, volba slovníku atd. najdete v nastavení programu / pravopis

Kontrola pravopisu pracuje ve dvou režimech:

Zvýraznění neznámých slov
Po aktivaci (menu zobrazit nebo ikona na panelu nástrojů) jsou slova, která nejsou obsažena ve slovníku podtržena. Slouží k rychlé orientaci nebo ruční opravě chyb

Procházení s opravou
Postupně jsou od pozice kurzoru procházena neznámá slova a je zobrazován dialog, ve kterém jsou nabídnuty možné tvary s možností následujících akcí:
· přeskočit - přechod na další neznámé slovo
· přeskakovat - všechny výskyty tohoto slova budou ignorovány
· přidat do slovníku - použije se v případě, že slovo je v pořádku a není obsaženo ve slovníku
· zaměnit - slovo bude zaměněno za slovo, uvedené v editačním políčku
· zaměnit + přidat - jako zaměnit, ale slovo přidá do slovníku

Doplnění diakritiky
Vedlejším produktem použití slovníku je doplnění diakritiky do holého ASCII textu. Pokud máte text bez háčků a čárek, můžete do něj doplnit háčky a čárky volbou z menu Nástroje / Konverze textu / Doplnit diakritiku

Prosba
Byl bych vám vděčný, za zaslání vašich uživatelských slovníků. Sloučím je s hlavním slovníkem a přispějete tak k lepší kvalitě kontroly pravopisu a tím i celého programu.


Konvertory

 pspadico PSPad - uživatelské konvertory
Konvertor slouží k automatickému nahrazení písmen, slov nebo částí řádků za jiné a to obousměrně.
PSPad od verze 3.4.5 umožňuje definici konvertoru pomocí externího programu.

Umístění souborů
V podadresáři Convert a jedná se o soubory s příponou .INI
Seznam konvertorů najdete v nabídce: Nástroje \ Konverze textu \ Konvertory

Syntaxe konvertoru
;za středníkem se nachází komentář - nepovinné
;sekce popisující konvertor
[Description]
;části před rovnítkem se nesmí změnit
;jméno pro konverzi levé části na pravou
ForwardName=Znaky na UNICODE HTML entity (WML)
;jméno pro konverzi pravé části na levou
BackwardName=UNICODE HTML entity na znaky (WML)
;ignorovat velikost písmen pro jednotlivé směry
;povolené hodnoty jsou True (ano) nebo False (ne)
ForwardIgnoreCase=False
BackWardIgnoreCase=False
;sekce obsahující definici co se bude převádět na co
;jednotlivé části jsou odděleny znakem |
[Conversion]
Š|&#x0160;
Ś|&#x015A;
Ť|&#x0164;

Jak to pracuje
Konvertor pracuje buď s označeným nebo celým textem.
Zpracovávány jsou vždy jednotlivé řádky textu editoru.
Na každý řádek jsou aplikovány všechny řádky ze sekce [Conversion]
Uvědomte si, že to může být pro dlouhé texty a dlouhé definici konvertoru časově náročné.

Úskalí definice
Jak je výše psáno, aplikují se na každý řádek všechny řádky konverze.
Hloupé příklady definice:

[Conversion]
B|A
A|B

V tomto případě se jakoby nestane nic, protože všechna písmena B jsou nejprve nahrazena za písmena A a pak všechna písmena A jsou nahrazena zpět na písmena B. Takováto definice je nesmyslná.

[Conversion]
jelen|srnec
jeleni|srnci

V tomto případě konvertor bude pracovat opět chybně. Pokud se v textu vyskytuje slovo "jeleni", bude jeho část "jelen" nahrazena slovem "srnec" a výsledek bude "srneci", místo požadovaného "srnci". V tomto případě stačí prohodit řádky v definici.


Konverze kódových stránek

 pspadico PSPad - konverze kódových stránek
Otevírání souboru
Pro správné zobrazení a možnost editace souborů v prostředí Windows, je nutno převést zdrojový text do kódové stránky 1250. Takže pokud je nastavena automatická detekce kódové stránky nebo ručně nastavena jiná kódová stránka než Windows 1250, je text při otevření převeden do stránky Windows 1250.

Automatická detekce kódové stránky
Automatická detekce pracuje na principu počítání znaků, které se obvykle používají pouze v určité kódové stránce. "Zvítězí" stránka s největším počtem těchto znaků. Pro detekci se používá vzorek prvních 10000 znaků.
Detekce nemusí být spolehlivá u krátkých textů nebo u programových kódů, kde se úmyslně používají zvláštní znaky. V těchto případech výhodnější nastavit výchozí kódovou stránku ručně. Výhodné je použití volby Otevřít znovu - CTRL+R, pokud se nepodaří dokument otevřít se správným zobrazením diakritiky nebo pokud selže automatická detekce a je třeba soubor otevřít v ručně zvolené kódové stránce.

POZOR! Automatická detekce pracuje pouze s kódovými stránkami Windows, Latin II, Kamenických a ISO 8859-2. Soubory s kódováním Unicode a UTF-8 jsou detekovány pomocí úvodních identifikačních bytů. Pokud tyto byty chybí, bude soubor otevřen jako Windows CP1250. Pro otevření v kódování UTF-8 je třeba manuálně přepnout kódování v menu na UTF-8 a dát znovunačtení souboru (Ctrl+R)

Ukládání souboru
Při ukládání se děje vše analogicky - pokud je nastavena kódová stránka jiná než Windows 1250 nebo automatická detekce, je text při ukládání převeden do nastavené kódové stránky.

Jak to využít pro konverzi ?
Soubor načteme v např. kódové stránce Latin II, ručně přepneme na kódovou stránku Windows 1250 a zvolíme Uložit nebo Uložit jako. Tím je celá konverze hotova a soubor je nyní uložen ve zvolené kódové stránce.


Makra

 pspadico PSPad - makra
Co je to makro
Makro je posloupnost příkazů editoru. Tuto posloupnost lze zaznamenat a následně opakovaně přehrávat. Tím lze zjednodušit opakované operace (příklady použití jsou uvedeny níže)

Jak to pracuje
Stisknutím tlačítka záznam (CTRL+F5) se začínají všechny operace s textem v editoru zaznamenávat. Při zahájení záznamu se kurzor změní na šipku s kamerou. Zpět se změní při ukončení nebo přerušení nahrávání.
Po ukončení záznamu (ALT+F5) se záznam ukončí. Objeví se dialog, ve kterém makro pojmenujete, přiřadíte do jednoho ze 4 pozic a makro je připraveno k použití pod příslušnou klávesovou zkratkou. Nyní je možno makro opakovaně spouštět z menu nebo pomocí klávesových zkratek F5..F8.
Vytvořená makra je možno načítat z disku, editovat a opětovně kompilovat. Ukládají se s příponou .PMR (PSPad macro record)

Omezení
Do makra se nezaznamenávají akce, provedené pomocí myši. Označování bloku dělejte pomocí SHIFT+šipky
Makro nepracuje s příkazy pro hledání a nahrazení textu
Délka makra je omezena pouze dostupnou pamětí počítače. Vzhledem k tomu, že jeden záznam tvoří pouze kód příkazu a znak je velikost téměř neomezená. Obsah makra lze od verze 3.3.3 editovat a zpět kompilovat. Přehled dostupných příkazů najdete zde.

Editace makra
Pokud si zvolíte menu Nástroje/Makro/Editace makra, otevře se vám nový soubor s příponou .PME. K dispozici je zvýrazňovač i šablona s příkazy (Ctrl+Space).
Příkaz pro vložení znaku je nastaven na Ctrl+Enter

Doporučuji následující nastavení zvýrazňovače pro editaci maker:

Komentáře      černá, font normální (vkládané znaky v lomených závorkách)
Identifikátory červená, font normální (chybný příkaz bude červeně)
Klíčová slova  modrá, font normální

Příklady použití

Příklad1:
Měl jsem text ve tvaru:
21: if KeyComp('del') then Result := tkKey else
21: if KeyComp('start') then Result := tkKey else
90: if KeyComp('findstr') then Result := tkKey else
Potřeboval jsem smazat vždy pro určitý počet řádků první tři znaky a vložit jednu mezeru. V tomto případě nelze použít hledání s nahrazením, protože text není stejný. Samozřejmě, že by to šlo přes sloupcový blok odmazat, potom si jako sloupcový blok označit první sloupec mezer a přes hledat a nahradit jednu mezeru nahradit dvěmi. Ale je to spousta práce s myší, přepínání bloků, protože upravený text potřebuji následně umístit do jiného souboru.To je přesně ta správná práce pro MAKRO. Postup záznamu:
· postavím se na řádek a spustím záznam
· HOME, 3x delete, 1x mezerník
· šipka dolů
· ukončit záznam
Nyní stačí opakovaně mačkat F5 a řádky jsou upraveny

Příklad2:
Potřebuji vytvořit následující řádky
fIdentFuncTable[72] := Func72;
fIdentFuncTable[73] := Func73;
fIdentFuncTable[74] := Func74;
Mohl bych si je kopírovat a přepisovat čísla. Můžu ale využít MAKRO:
· na řádky si zapíšu 2x za sebou požadované číslo (7272, 7373 atd.)
· postavím se na řádek a zapnu záznam
· HOME a napíšu text: fIdentFuncTable[
· 2x šipka doprava
· napíšu text: ] := Func
· 2x šipka doprava
· dopíšu středník a šipka dolů
· ukončím záznam
Mačkám F5 a před očima se mi objevují požadované řádky. Řádků bylo moc a takhle to byla otázka chvilky bez zbytečného najíždění a přepisování čísel na dvou místech v kopírovaných řádcích


Makro příkazy

 pspadico PSPad - makra - příkazy
Formát editovaného souboru makra:

Každý příkaz makra je na zvláštním řádku. Pouze u příkazu ecChar následuje za příkazem vkládaný znak v lomených závorkách,
např. ecChar{A} dosadí na pozici kurzoru znak "A"

Přehled příkazů:

ecLeft           přesune kurzor o znak vlevo
ecRight          přesune kurzor o znak vpravo
ecUp             přesune kurzor o řádek nahoru
ecDown           přesune kurzor o řádek dolů
ecWordLeft       přesune kurzor o slovo doleva
ecWordRight      přesune kurzor o slovo doprava
ecLineStart      přesune kurzor na začátek řádku
ecLineEnd        přesune kurzor na konec řádku
ecPageUp         přesune kurzor o stránku nahoru
ecPageDown       přesune kurzor o stránku dolů
ecPageLeft       přesune kurzor na pravou stranu stránky
ecPageRight      přesune kurzor na levou stranu stránky
ecPageTop        přesune kurzor na vršek stránky
ecPageBottom     přesune kurzor na konec stránky
ecEditorTop      přesune kurzor na začátek textu
ecEditorBottom   přesune kurzor na konec textu

následující příkazy jsou obdobné jako předchozí, pouze dochází k označování textu

ecSelLeft
ecSelRight
ecSelUp
ecSelDown
ecSelWordLeft
ecSelWordRight
ecSelLineStart
ecSelLineEnd
ecSelPageUp
ecSelPageDown
ecSelPageLeft
ecSelPageRight
ecSelPageTop
ecSelPageBottom
ecSelEditorTop
ecSelEditorBottom

ecSelectAll      označí celý text

ecCopy           kopírovat do schránky
ecCut            vystřihnout do schránky
ecPaste          vložit ze schránky na pozici kurzoru

ecScrollUp       o stránku nahoru bez změny pozice kurzoru
ecScrollDown     o stránku dolů bez změny pozice kurzoru
ecScrollLeft     skrolování vlevo bez změny pozice kurzoru
ecScrollRight    skrolování vpravo bez změny pozice kurzoru

ecInsertMode     režim vkládání
ecOverwriteMode  režim přepisování
ecToggleMode     přepnutí režimu vkládání/přepisování

ecNormalSelect   normální bloky
ecColumnSelect   sloupcové bloky
ecLineSelect     řádkové bloky

ecMatchBracket   najdi odpovídající závorku

ecGotoMarker0    jdi na záložku 0..9
až
ecGotoMarker9
ecSetMarker0     nastav záložku 0..9
až
ecSetMarker9

ecDeleteLastChar smazat znak před kurzorem (Backspace)
ecDeleteChar     smazat znak pod kurzorem (Delete)
ecDeleteWord     smazat do konce slova
ecDeleteLastWord smazat do začátku slova
ecDeleteBOL      smazat do začátku řádku
ecDeleteEOL      smazat do konce řádku
ecDeleteLine     smazat řádek
ecClearAll       smazat vše
ecLineBreak      nový řádek s přechodem kurzoru (Enter)
ecInsertLine     vložit řádek, pozice kurzoru se nemění
ecChar{znaky}    vložit znak(y) na pozici kurzoru

ecUndo           zrušení změny
ecRedo           vrácení změny

ecBlockIndent    zvětšení odsazení bloku
ecBlockUnindent  zmenšení odsazení bloku
ecTab            Tabulátor
ecShiftTab       Shift+Tabulátor

Příklady:

Na začátek řádku napsat slovo "Jelen" a odřádkovat:
ecLineStart
ecChar{Jelen}
ecLineBreak


Nastavení barev

 pspadico PSPad - nastavení barev
Před tím, než začnete experimentovat s nastavením barev, uložte si aktuální barevné schéma, ať se k němu v případě neúspěšných pokusů můžete vrátit (viz. bod 3 v následujícím postupu)

Postup pro nejjednodušší nastavení barev

1. nastavení základních barev
v menu Nástroje / Nastavení programu / záložka Editor nastavit základní barvy programu. Tyto změny se promítnou současně do všech zvýrazňovačů následujícím způsobem:
· pokud je původní barva písma stejná s barvou písma atributu ve zvýrazňovači, dojde ke změně barvy písma i v atributu zvýrazňovače
· pokud je původní barva pozadí shodná s barvou pozadí atributu zvýrazňovače, dojde i ke změně pozadí atributu zvýrazňovače
· pokud by byla barva písma atributu zvýrazňovače shodná s novou barvou pozadí, změní se barva písma atributu zvýrazňovače na novou barvu písma

2. doladění barev zvýrazňovačů
v menu Nástroje / Nastavení zvýrazňovačů / Barvy doladit barvy zvýrazňovačů.
Abyste nemuseli projíždět a otrocky nastavovat (třeba barvy komentáře) ve všech zvýrazňovačích, můžete dvojklikem na jménu atributu toto nastavení promítnout do stejných atributů všech zvýrazňovačů.
Např. nastavím styl písma a barvy pro komentář a dvojklikem na komentář toto nastavení promítnu na všechny komentáře.

3. uložení nového schématu
v menu Nástroje / Nastavení zvýrazňovačů / Barvy napsat jméno nového schématu a stisknout tlačítko Uložit. Tím se aktuální nastavení barev uloží do souboru a od této chvíle je k dispozici

Příklad změny pozadí

Pouze změna pozadí na zelenkavou
Není třeba procházet v nastavení zvýrazňovačů všechny atributy a měnit jim pozadí. Stačí podle bodu 1 předchozího postupu změnit barvu pozadí editoru

Umístění souborů se schématy

Soubory s barevnými schématy jsou uloženy v podadresáři .\Colors. Jedná se o textové INI soubory. Popis struktury řádku s nastavením atributu zvýrazňovače je popsán v nastavení barev syntaxe


Porovnávání obsahu souborů

 pspadico PSPad - porovnávání obsahu souborů
PSPad od verze 3.5.5 umí porovnávat obsahy dvou textových souborů.

Jak to pracuje:

Otevřete si nějaký soubor, dále nazýván jako soubor1
Z menu Nástroje vyberete Porovnat se souborem. Tento soubor bude nazýván soubor2
Po výběru souboru je provedeno porovnání a zobrazeno nové okno, rozdělené na poloviny. Obě části okna mají společný posun.
Soubor1 se nachází v levé polovině, soubor2 v pravé polovině.
Do obou souborů jsou doplněny řádky tak, aby obsah obou oken odpovídal.
Tyto dva zobrazené soubory nelze editovat, ani s nimi provádět žádné další oprace. Je možné je pouze prohlížet a kopírovat z nich text.

Jsou robrazeny tři druhy rozdílů, každý odlišným pozadím řádku. Rozdíly jsou brané vzhledem k souboru1.

textdiff

· řádky, které nejsou v souboru2
· řádky, které nejsou v souboru1
· řádky, které jsou v obou souborech, ale liší se obsahem

Pohyb po změnách

· předchozí změna Shift+Ctrl+šipka nahoru
· další změna Shift+Ctrl+šipka dolů

A jak s tím dál pracovat ?

Je možné pomocí klávesy Ctrl+pravého tlačítka myši kliknout na původní soubor na panelu souborů. Tím se nám okno dále rozdělí a ve spodní části máme soubor připravený k editaci.


Práce v rozděleném okně

 pspadico PSPad - dva soubory v rozděleném okně
PSPad od verze 2.1.5 umožňuje rozdělit okno a zobrazit současně 2 různé soubory.

Rozdělení okna
Zobrazení druhého souboru a s tím související rozdělení okna se provede kliknutím pravého tlačítka myši na tlačítku s nevybraným souborem (to, které není stisknuto). Tím dojde k rozdělení okna a zobrazení dvou souborů. V nich lze nezávisle pracovat.

Horizontálně nebo vertikálně ?
Výchozí způsob rozdělení je určen v parametrech programu. Alternativní rozdělení se provede opět pravým tlačítkem myši se stisknutou klávesou CTRL

Synchronizace obsahu oken
Po rozdělení oken se na liště zpřístupní tlačítko se symbolem "rozpojeného řetězu", které najdete na nástrojové liště "spouštění". Po jeho stisku (nebo stisku kláves Ctrl+L) dojde k uzamknutí posuvu v obou oknech. Znamená to, že bude zachována aktuální pozice kurzoru v obou oknech. Při pohybu textu v jednom okně se pohybuje text i v druhém okně.

Druhou možností je synchronizace podle čísla řádku. V tom případě dojde napřed k synchronizaci pozice kurzoru ve druhém okně podle aktuálního okna a pak teprve k uzamknutí posuvu.

Pozor ! Posuv je synchronizován v obou případech podle pozice kurzoru, takže při pohybu textu pomocí posuvníku se neděje nic. Až při kliknutí myši do editoru (nastaví se pozice kurzoru) dojde k synchronizaci.

Stejný soubor v rozděleném okně
Pokud potřebujete mít otevřen v rozděleném okně 2x stejný soubor, držte klávesu SHIFT+pravé tlačítko myši. Pro alternativní rozdělení pak použijte SHIFT+CTRL+pravé tlačítko myši.

Zrušení rozdělení okna
Zrušení rozdělení se provede buď kliknutím pravého tlačítka myši na tlačítko s názvem jednoho ze zobrazených souborů nebo levým tlačítkem myši na libovolném jiném tlačítku.


Projekty

 pspadico PSPad - projekty
Co je to projekt
Představte si internetovou aplikaci. Ta se skládá z několika stránek, nějaké ty kaskádové styly, skripty atd. Pokud s tím chcete rozumně pracovat, potřebujete nějakou organizaci souborů. Také potřebujete rychlý přístup k těmto souborům. Samozřejmě můžete jednotlivé soubory otevírat a zavírat. Ale lepší je mít je stále po ruce. A k tomu slouží projekt.

Co vám to přinese
· jednodušší práci. Nemusíte otevírat několik dokumentů, otevřete si pouze jeden projekt, přitom jednotlivé soubory mohou být umístěny v libovolném adresáři. Pouze se stanou součástí jednoho projektu.
· související dokumenty jsou přehledně uspořádány do "virtuálních" složek. Virtuální složky nemají nic společného s fyzickým umístěním souborů na disku, slouží pouze pro přehlednější uspořádání souborů v projektu.
· při práci nemusíte mít všechny soubory projektu otevřeny. Soubor otevřete dvojklikem myši na názvu ve stromové struktuře projektu.
· můžete si označit hlavní soubor, který se potom bude spouštět v externím programu, be ohledu na to, který soubor je otevřený.
· zachování stavu projektu při ukončení práce. Prostě jak projekt opustíte, tak jej příště najdete, včetně otevřených souborů apod.

Jak začít pracovat s projekty
Po spuštění programu je vytvořen prázdný projekt. Práce s projektem se aktivuje vložením minimálně jednoho souboru do projektu. Do té doby vás projekt nebude "obtěžovat", stačí jej skrýt a pracujete s programem tak, jak jste byli zvyklí.

Práce s projekty
Vložení nebo odstranění souboru z projektu nemá fyzický vliv na soubor. Nevytváří se nový soubor, soubor se ani nemaže. Pouze se vytvoří nebo zruší odkaz ve struktuře projektu.

Otevření nebo výběr souboru projektu
Soubor otevřete kliknutím myši nebo stiskem klávesy ENTER na jeho název ve struktuře projektu
Pokud je soubor otevřen, provede se pouhé přepnutí na jeho název
V případě, že soubor neexistuje (není nalezen na zadané cestě), otevře se dialogové okno, ve kterém máte možnost jej najít a tak jej opět zařadit do projektu

projaddfile Vložení souboru do projektu
· přetažením záložky se jménem souboru do složky
· stiskem tlačítka na panelu projektů přidá aktuální soubor
· pravým tlačítkem myši při editaci textu

Aby se dal do projektu vložit soubro, musí být splněny následující podmínky:
1. existence minimálně jedné složky
2. aktivní musí být složka nebo soubor, nikoli projekt

projdelfile Odstranění souboru z projektu
· stiskem tlačítka na paneku projektu
· pravým tlačítkem myši na názvu souboru v projektovém stromu

projfoldernew Vytvoření složky
Složku lze vytvořit kdykoliv z tlačítkem na liště projektu nebo pravým tlačítkem myši. Podmínkou je jedinečnost názvy složky v rámci projektu. Složek může být libovolný počet.

projfolderdel Odstranění složky
Složku lze odstranit pouze v případě, že je prázdná. Opět lze použít tlačítko na liště nebo pravé tlačítko myši.

Přidat soubory
Pomocí této možnosti, přístupné pokud kliknete na složce pravým tlačítkem myši, máte možnost přidat do projektu hromadně soubory pomocí dialogu. Můžete označit (a přidat) více souborů najednou.

editchp Přejmenování projektu nebo složky
Přejmenování se provádí přímo ve stromové struktuře projektu.
Pro přejmenování lze použít klávesu F2, kliknutí na jménu nebo pravé tlačítko myši.
Tímto způsobem nelze přejmenovávat vložené soubory. Pro přejmenování souboru je nutno použít možnost "Uložit jako"

Manipulace se soubory v projektu
Soubory je možno uspřádat do jednotlivých složek pouhým přetažením myši podle následujících pravidel:
· při "upuštění" souboru na jméno složky se zařadí jako poslední soubor ve složce
· při "upuštění" souboru na jiný soubor se vloží před něj

projnew Zavření projektu
se provede volbou Nový projekt. A jak by řekl český klasik, projekt, který neobsahuje aspoň jeden soubor vlastně ani není projekt.

Seznam souborů
Na žádost uživatelů byla od verze 3.1.8 do PSPadu doplněna možnost přímo zobrazit seznam souborů na disku (s možností procházení). Přepínání mezi projektem a seznamem souborů se děje pomocí tlačítka na panelu nástrojů projektu. Samozřejmostí je otevření souboru na dvojklik myši (popř. ENTER) a přidání souboru do projektu přetažením myší nebo klávesou CTRL+ENTER.
Názvy souborů, které neumí PSPad přímo zpracovat (nejsou přiřazeny žádnému zvýrazňovači), jsou zobrazeny pro lepší orientaci jinou barvou.
Kliknutím pravého tlačítka myši na seznamu souborů je možno přepínat mezi seznamem známých a všech souborů. Za známý je soubor považován v případě, že jeho typ je zaregistrován v některém zvýrazňovači.
Program si samozřejmě pamatuje poslední stav.

Velká a malá změna projektu
Určují stupeň změny projektu a také zobrazení dotazů na uložení projektu.
Velká změna znamená změnu obsahu projektu (přidání / odebrání souboru, přejmenování projektu...)
Malou změnou se rozumí změna vzhledu projektu.
Pokud dojde k velké změně, bude uživatel při zavření projektu dotázán, zda chce změny uložit. Při malé změně jsou změny uloženy automaticky bez dotazu.

Jak je projekt uložen
Jde o obyčejný textový soubor se strukturou INI souboru systému Windows. Typ souboru je .PPR (PSPad project)
Při spuštění programu je tato přípona zaregistrována v systému Windows. Při odinstalaci programu je registrace odstraněna.
Registrace projektu vám umožní otevřít projekt přímo kliknutím na soubor.

Jednotlivé soubory jsou uloženy relativně k poloze projektu. To znamená, že pokud zkopírujete projekt včetně souborů, které obsahuje do jiného adresáře nebo na jiný počítač, stále budete schopni jej otevřít a pracovat s ním.


Přehled klávesových zkratek

 pspadico PSPad - přehled klávesových zkratek
Rozdělení okna
Stiskem pravého tlačítka myši na jménu dokumentu se okno rozdělí na dvě části. Jestli bude rozdělení horizontální nebo vertikální, lze určit v parametrech. Alternativní rozdělení se provede držením klávesy CTRL.
Přehled makro příkazů najdete zde

Šablony
CTRL+Space        vyvolání seznamu
SHIFT+Space       přímé vložení šablony

Editor
CTRL+PgUp         skok na začátek stránky
CTRL+PgDn         skok na konec stránky
CTRL+Home         skok na začátek textu
CTRL+End          skok na konec textu

SHIFT+CTRL+PgUp   označení k začátku stránky
SHIFT+CTRL+PgDn   označení do konce stránky
SHIFT+CTRL+Home   označení k začátku textu
SHIFT+CTRL+End    označení do konce textu
CTRL+A            označení celého textu
SHIFT+CTRL+T      označení obsahu TAGu (pouze HTML)

CTRL+Delete       smazat slovo
CTRL+Y            smazat řádek
SHIFT+CTRL+Y      smazat do konce řádku
SHIFT+CTRL+DEL    smazání celého TAGu (pouze HTML)

CTRL+C            zkopírování textu do schránky
CTRL+X            vyjmutí textu do schránky
CTRL+V            vložení textu ze schránky

ALT+BackSpace     odvolání změny (undo)
Ctrl+Z            odvolání změny (undo)
SHIFT+ALT+Back    vrácení změny (redo)
SHIFT+CTRL+Z      vrácení změny (redo)

SHIFT+CTRL+N      normální blok
SHIFT+CTRL+L      řádkový blok
SHIFT+CTRL+C      sloupcový blok

CTRL+W            zapne/vypne zalomení textu

Operace se soubory
CTRL+N            nový soubor
CTRL+O            otevřít soubor
SHIFT+Ctrl+O      otevřít v HEXA editoru
CTRL+D      otevřít pod jménem
CTRL+F4           zavřít soubor
SHIFT+CTRL+F4     zavřít všechny soubory
CTRL+S            uložit soubor
F12               uložit jako
SHIFT+CTRL+S      uložit vše
CTRL+ALT+S        uložit bez změny datumu a času souboru
CTRL+P            tisk
ALT+P             nastavení tiskárny

Hledání a nahrazování
CTRL+F            hledat (dialog)
F3                hledat další
SHIFT+F3          hledat předchozí
SHIFT+CTRL+UP     hledat další výskyt aktuálního slova
SHIFT+CTRL+DOWN   hledat předchozí výskyt aktuálního slova
CTRL+H            nahradit (dialog)
CTRL+E            inkrementální hledání
ALT+G             jdi na řádek
ALT+F             hledání v souborech
CTRL+M            hledání související závorky

Záložky
SHIFT+CTRL+0..9   nastavení / zrušení záložky v textu
CTRL+0..9         skok na záložku v textu
SHIFT+CTRL+B      seznam záložek
ALT+LEFT          nastavení záložky
ALT+RIGHT         zrušení záložky
ALT+UP            předcházející záložka
ALT+DOWN          další záložka

Formátování bloku
SHIFT+CTRL+I      zvětšit odsazení bloku
SHIFT+CTRL+U      zmenšit odsazení bloku
CTRL+K            přelomení textu podle nastaveného okraje

Komentování kódu
SHIFT+CTRL+A      přidá komentář na každý řádek označeného bloku
SHIFT+CTRL+R      odstraní komentáře z označeného bloku

Změna velikosti písmen
CTRL+ALT+U        změna písmen na velká
CTRL+ALT+L        změna písmen na malá
CTRL+ALT+T        první písmena velká

Záznam a přehrávání maker
CTRL+F5           záznam makra
ALT+F5            ukončení záznamu
F5                spuštění makra

Nástroje
ALT+A             ASCII tabulka
ALT+I             vložit text do řádků
ALT+C             dialog pro výběr HTML barvy
ALT+D             vložit datum a čas

Externí programy a kompilátory
F9                otevření v externím programu
CTRL+F9           spuštění kompilátoru

Manipulace s okny
SHIFT+ALT+L       zamknutí vzájemného posunu oken
CTRL+L            LOG okno
CTRL+Tab          další okno
SHIFT+CTRL+Tab    předchozí okno


Příklad práce

 pspadico PSPad - příklad práce na HTML stránce
Tvorba HTML

· Otevřete nový HTML dokument
· Stiskněte CTRL+SPACE, vyberte html (popř. napište html a SHIFT+SPACE), čímž se vytvoří základ stránky.
· Za použití šablon (opět CTRL+SPACE) nebo klávesových zkratek přiřazených k šablonám (viz kapitolu o šablonách) dopište, co je třeba
· Vytvořte, popř. otevřete další podstránky
· Doporučuji využívat klávesových zkratek šablon (CTRL+Enter, SHIFT+CTRL+Space vloží konec stránky a pevnou mezeru, na označený text jdou použít CTRL+B a CTRL+I - tučné písmo a kurzíva). Šablony a klávesové zkratky jsou volně definovatelné. Seznam klávesových zkratek najdete (pokud existují) v menu Nástroje.
· Pokud chcete v HTML prohlížeči otevírat vždy určitou stránku, označte si ji jako hlavní CTRL+M (červená značka). Opětovným Stiskem CTRL+M se označení zruší.

Vkládání skriptů do stránek

Výhodné je editovat skript ve zvláštním souboru s odpovídajícím typem a pak jej teprve vložit do HTML stránky. Máte tak k dispozici zvýraznění syntaxe přímo pro daný skript a šablony odpovídající skriptovacímu jazyku.

Jak efektivně využít schopnosti editoru

· pokud si označíte blok, je možno zvětšovat a zmenšovat jeho odsazení (menu formát) nebo SHIFT+CTRL+U nebo I
· využívejte šablony (CTRL+SPACE)
· všechny operace jsou vratné (Zpět = CTRL+Z) až do 2048 kroků
· bez problémů můžete otevřený soubor načíst znovu z disku CTRL+R
· využívejte záložky. Umožní vám rychlé skoky v editovaném textu
· používejte nabídku na pravém tlačítku myši
· používejte nápovědu. Zkuste občas stisknout F1
· prohlédněte si a vyzkoušejte, co nabízí nabídka nástroje. Často některé funkce ušetří mnoho práce


Struktura adresářů a souborů

 pspadico PSPad - struktura adresářů, popis souborů
Umístění souborů a podadresářů je vztaženo k umístění spustitelného souboru PSPad.EXE. Některé adresáře a soubory vzniknou hned po instalaci, některé se vytvářejí v průběhu práce s programem PSPad.
Editor PSPad není třeba instalovat, k práci stačí samotný PSPad.EXE.

Struktura adresáře s instalací editoru PSPad

PSPad.exe
spustitelný soubor s vlastním programem PSPad. K práci s programem stačí tento soubor.
PSPad.chm
nápověda k programu ve formátu kompilovaného HTML
PSPad_LS.exe
utilitka pro jednoduchou změnu jazyka
PSPad.ini
soubor, obsahující nastavení programu. Po smazání jste ve stavu po instalaci programu. Naopak zálohou tohoto programu uchováte jeho kompletní konfiguraci.
Licence.txt
licenční ujednání
PSCache.bin
zde je uchováván stav jednotlivých souborů pro příští otevření (lze kdykoliv smazat)
Context
adresář obsahuje šablony pro jednotlivé typy prostředí. Při otevření určitého typu souboru dojde k automatickému načtení šablony s odpovídajícím názvem (pokud soubor existuje). Jedná se o jednoduché textové soubory
BAT.def
HTML.def
:
VBScript.def
Lang
adresář obsahuje jazykové lokalizace programu v textových souborech
Cesky.ini
English.ini
Syntax
adresář obsahuje nastavení uživatelských zvýrazňovačů
OtherCAD.ini
Macro
do tohoto adresáře se ukládají a odsud se načítají nahraná makra (přípona .PMR)

Soubory projektů programu PSPad používají rozšíření .PPR.


Šablony

 pspadico PSPad - šablony
makra

Šablony slouží k urychlení práce. Nejlépe by se to dalo popsat asi jako automatický text v MS Wordu.
Každá šablona se skládá z názvu, popisu a obsahu, který bude vložen na pozici kurzoru. Obsah šablony může obsahovat libovolný počet řádků, při vkládání je zachována struktura odsazení jednotlivých řádků.

Jak vyvolat šablonu :
· Napíšete jméno šablony nebo část jména a po stisku CTRL+Space se vyvolá seznam, ve kterém stojíte na nejbližší podobné položce. Vyberete si požadovanou položku a po potvrzení klávesou ENTER je na místo kurzoru vložen obsah šablony.
· Napíšete celý název šablony, stisknete SHIFT+Space a pokud je šablona nalezena, na místo kurzoru je vložen její obsah.
· Použijete klávesovou zkratku, kterou má šablona přiřazenu (jejich seznam najdete v menu nástroje / klávesové zkratky)

Šablony jsou uloženy v souborech *.DEF v adresáři .\PSPad\Context. Jména souborů jsou uvedena níže a jsou povinná ! Jde o obyčejné textové soubory s velmi jednoduchou strukturou, takže si je můžete snadno upravit podle svého.
Editaci příslušné šablony je možno vyvolat přímo z menu Nástroje / Editace šablon. Pokud šablona neexistuje, bude vytvořena nová.

Formát souboru:
; - komentáře, řádky jsou ignorovány
[jméno_šablony | popis šablony]*horká_klávesa
jméno šablony je v seznamu zobrazeno tučně a určuje i jméno příkazu pro přímé vložení pomocí SHIFT+Space
znak | odděluje jméno od popisu.
řádek je uzavřen v hranatých závorkách [] .
znak * označuje klávesovou zkratku
klávesová zkratka určuje klávesovou zkratku, pomocí které je možno šablonu přímo vložit do textu
klávesová zkratka není povinná
obsah šablony
libovolný text, pouze nesmí začínat znakem [.
znak | určuje pozici kurzoru v editoru po vložení obsahu šablony
znak § (ALT+167) určuje místo, kam se vloží text označený před vyvoláním šablony
obsah šablony může obsahovat libovolný počet řádků.
pro znak | se bere pouze první výskyt
označený text je vložen na každý výskyt znaku §

Příklad šablony:
[zadost | ilustrační příklad možností šablony]*Ctrl+Z
Věc: Žádost o zvýšení platu.
----------------------------------------
Důrazně žádám o zvýšení základního platu na | Kč.
V případě odmítnutí to můžete brát jako žádost o rozvázání pracovního poměru.

Možnosti použití příkladu:
· stiskem CTRL+Space vyvoláme seznam, vybereme řádek a klávesou Enter vložíme do textu
· napíšeme "zadost" a stiskem SHIFT+Space přímo vložíme do textu
· v případě přiřazení horké klávesy stačí stisknout Ctrl+Z
· seznam šablon je možno vyvolat prostředním tlačítkem myši a zavřít pravým tlačítkem

Do editovaného textu budou vloženy 4 řádky a kurzor se zastaví na pozici znaku |, tzn. před Kč, takže zbývá jen doplnit požadovanou částku.

Jména souborů:
· Assembl.def
· Bat.def      (dávkové soubory)
· Basic.def
· CPP.def      (C++)
· CSS.def      (kaskádové styly)
· FoxPro.def
· General.def      (prostý text)
· HTML.def
· INI.def      (INI soubory)
· Java.def
· JScript.def      (JAVA skript)
· VBScript.def      (Visual Basic skript)
· Pascal.def
· Perl.def
· PHP.def
· SQL šablony jsou závislé na dialektu SQL
SQL.def      standard ANSI SQL
Interbase.def
MSSQL.def
MySQL.def
Oracle.def
SyBase.def
Ingres.def
· Python.def
· ISetup.def      (INNO setup)
· XML.def


TiDy - manipulace s HTML

 pspadico PSPad - TiDy - manipulace s HTML
Co je to vlastně ta TiDy ?
TiDy je knihovna funkcí pro formátování, čištění, kódování atd. HTML kódu.
Tuto knihovnu najdete v každém lepším editoru, který to s HTML myslí opravdu vážně.
Tato knihovna je plně integrována v PSPadu. Pro práci s touto knihovnou je třeba mít soubor TiDyCom.DLL v adresáři, ve kterém je PSPad.EXE
Možnosti využití knihovny můžete sami rozšiřovat pomocí konfiguračního souboru TiDyCFG.TXT. Každá sekce (text v hranatých závorkách) vytvoří v menu HTML jednu položku při spuštění PSPadu.
Po přidání nebo přejmenování sekce je třeba PSPad restartovat, při změně obsahu to není třeba. Sekce obsahuje nastavení chování knihovny. Popis nastavení je uveden na adrese http://tidy.sourceforge.net/docs/quickref.html

K čemu je TiDy v PSPadu ?

Kontrola HTML (Ctrl+F10)
umožňuje analyzovat a najít chyby v HTML kódu
TiDy clean document
umožňuje vyčistit a opravit HTML kód, včetně odstranění balastu, zaneseného nástroji Microsoftu, převede dokument na CSS
TiDy upgrade to CSS
převede váš dokument na kaskádové styly
TiDy convert to XML
převede dokument do formátu XML
TiDy convert to XHTML
převede dokument do formátu XHTML

Další možnosti si můžete přidat rozšířením souboru TiDyCFG.TXT


Uložení rozdělané práce

 pspadico PSPad - uložení rozdělané práce
Po povolení v parametrech umožňuje PSPad uložení rozdělané práce. Napřed si vymezíme pojmy spouštění bez a s parametrem, což vyplývá ze způsobu používání programu.

Způsob používání programu:
· spustím přímo samotný program a v něm si zvolím otevřít soubor(y) - spouštění bez parametru
· program pouštím buď poklepáním na soubor, který chci otevřít nebo třeba ve Windows Commanderu klávesou F4. V tomto případě jde o spuštění s parametrem (jako parametr je automaticky předán otevíraný soubor)

Ukládání rozdělané práce
Pracuje pouze v režimu spouštění bez parametru. Výhodou je to, že na něčem pracuji, zavřu PSPad a pak jej můžu používat normálně jako náhradu obyčejného NotePadu např. pro prohlížení TXT souborů. Až zase budu chtít pokračovat v práci, spustím samotný program (např. odkazem ve Start menu) a uložené soubory (pokud v této chvíli ještě existují) budou automaticky otevřeny.


Menu soubor

 pspadico PSPad - popis menu - soubor
new Nový soubor CTRL+N
Typ nového dokumentu záleží na typu aktivního otevřeného dokumentu. Pokud tedy mám otevřený PAS, po vyvolání se otevře Nový dokument.PAS

fileopen Otevřít soubor CTRL+O
Otevře vybraný soubor pro textovou editaci

Otevřít v HEXA editoru SHIFT+CTRL+O
Otevře vybraný soubor přímo v HEXA editoru

Dříve otevřené
Pokud v dialogu měníte typ souboru na Hexa edit, otevře se soubor přímo v HEXA editoru

closefile Zavřít soubor CTRL+F4

Projekty
Zde je obdoba otevření souboru, ale otevítá se celý projekt. Při otevření projektu dojde také k otevření souborů, které byly otevřeny při jeho předchozím opuštění.
projnew Nový
projopen Otevřít
projsave Uložit

save Uložit CTRL+S

Uložit jako F12
Uloží soubor pod novým jménem

saveall Uložit vše SHIFT+CTRL+S
Uloží změny ve všech souborech. Pokud jde o nový soubor, zeptá se na jméno a cestu

Odeslat
sendtodisk Na disketu
mail4 Jako obsah e-Mailu
mail5 Jako přílohu e-Mailu

Exportovat
Exportuje soubor do formátu RTF nebo HTML se zachováním zvýraznění syntaxe
Export do schránky jako HTML
Export do schránky jako RTF
Exportuje soubor nebo vybraný blok do schránky ve formátu RTF nebo HTML se zachováním zvýraznění syntaxe

reopen Otevřít znovu CTRL+R
Otevře znovu aktuální soubor. Použitelné např. při nechtěném vymazání nebo při změně kódových stránek.

Otevřít pod jménem CTRL+D
Umožní uložit aktuální soubor pod jiným jménem a současně jej i otevře. Spojuje tak v sobě akce Uložit jako a Otevřít

shellopen Otevřít v programu
Nabídka externích programů, ve kterých lze soubor otevřít. Programy se definují v nastavení programu

projcompile Zkompilovat
Touto volba je přístupná v případě, že je nastaven kompilátor (nastavení se provádí v nastavení zvýrazňovačů)

Zavřít vše SHIFT+CTRL+F4
Zavře všechny otevřené soubory. Pokud byl soubor změněn, zeptá se, zda uložit.

print Tisk CTRL+P

preview Náhled před tiskem ALT+P

Nastavení stránky
Umožňuje nastavit okraje pro tisk

setting print Nastavení tiskárny
Nastavení vlastnosti tisku - formát papíru apod.

Konec ALT+F4


Menu úpravy

 pspadico PSPad - popis menu - úpravy
undo Zpět CTRL+Z
Vrátí poslední provedenou operaci. Program si pamatuje pro každý soubor 1024 změn.

redo Odvolat zpět SHIFT+CTRL+Z
Odvolá vrácení poslední operace.

cut Vyjmout CTRL+X

copy Kopírovat CTRL+C

paste Vložit CTRL+V

delete Odstranit Del

Vybrat vše CTRL+A
Označí celý text. Tato volba také nastaví druh bloku na normální

Vybrat mezi závorkami SHIFT+CTRL+M
Pokud stojí kurzor před závorkou, provede se vyhledání související závorky a v případě nalezení se text mezi nimi označí

Vložit speciál
Identifikátor GUID
Na pozici kurzoru vloží jedinečný identifikátor GUID. GUID (Global Unique IDentificator) je celosvětově jedinečný řetězec, který je vygenerován mimo jiné i z jedinečného interního čísla síťové karty (pokud je v počítači). Používá se tam, kde chete mít skutečně jistotu jedinečnosti.

Vložit datum a čas ALT+D
Na pozici kurzoru vloží datum a čas ve formátu, zvoleném při posledním použití Datum/čas dialogu

calendar Datum/čas dialog
Otevře dialog, který kromě výběru formátu datumu a času, který bude vložen do textu umožní formáty upravovat. Poslední použitý formát bude použit při rychlém vložení při Vložit datum a čas (ALT+D)

insertfile Vložit ze souboru
Na pozici kurzoru vloží obsah vybraného souboru

sort Setřídit
Třídění řádků vzestupně nebo sestupně. Je možno definovat sloupec, podle kterého třídění proběhne

Volba bloku
Určuje jakým způsobem se bude označovat text při výběru pomocí kurzorových kláves (kombinace kláves pro pohyb v textu se stisknutou klávesou SHIFT).
Nevztahuje se na výběr pomocí myši, kdy se automaticky přepíná normální blok a sloupcový blok, při označování myši se stisknutou klávesou ALT. Automatické přepínání lze vypnout v parametrech programu.
Sloupcový blok není přístupný při zalomení řádků !
Styl bloku je nastaven na normální, pokud se použije volba Vybrat vše (CTRL+A)
Styl je indikován symbolem na stavovém řádku a dvojklikem na symbol je možno měnit druh bloku

Normální SHIFT+CTRL+N
Obyčejný druh označování textu. Je možno na začátku a konci bloku vybrat část řádku, uprostřed bloku vždy celé řádky.

Sloupcový SHIFT+CTRL+C
Umožňuje označit sloupec textu. S tímto sloupcem pak pracuje i hledání a nahrazení. Jednoduše tak můžete vybrat sloupec proměnných a překopírovat jej někam jinam.

Řádkový SHIFT+CTRL+L
Při označování bloku se vybírají vždy celé řádky


Menu hledat

 pspadico PSPad - popis menu - hledat
find Najít CTRL+F

replace Nahradit CTRL+H

Najít další F3

Najít předchozí SHIFT+F3

Hledat předchozí výskyt aktuálního slova SHIFT+CTRL+UP
Provede okamžité vyhledání předchozího výskytu slova, na kterém stojí kurzor

Hledat další výskyt aktuálního slova SHIFT+CTRL+DOWN
Provede okamžité vyhledání dalšího výskytu slova, na kterém stojí kurzor

Inkrementální hledání CTRL+E
Umožní okamžité hledání při psaní hledaného výrazu. Na stavovém řádku se po vyvolání objeví editační políčko, kam je možno psát hledaný text. Při psaní editor okamžitě reaguje a vyhledává první výskyt hledaného řetězce. Hledání probíhá od aktuální pozice kurzoru směrem ke konci textu.

Jdi na řádek ALT+G
Provede přechod v textu na zadaný řádek a sloupec

Související závorka CTRL+M
Provede hledání související závorky. Před hledáním je třeba umístit kurzor před závorku.

filesearch Hledání v souborech
Umožní hledání a nahrazení řetězce v souborech. Podrobnosti v samostatné kapitole

Vytvořit záložku Ctrl+Shift+0..9
Vytvoří v textu záložku. K dispozici je 10 záložek pro každý otevřený soubor

Jít na záložku Ctrl+0..9
Provede skok na vytvořenou záložku. Pro lepší orientaci je v textu záložky uveden kousek řádku, na kterém byla záložka vytvořena.
Tato volba je přístupná v případě, že byla vytvořena minimálně jedna záložka


Menu zobrazit

 pspadico PSPad - popis menu - zobrazit
Panely nástrojů
zobrazí nebo skryje jednotlivé panely nástrojů
zobrazí nebo skryje všechny panely

projectshow Projekt
zobrazí / skryje strom projektu

Aktuální řádek
umožní zvýraznění aktuálního řádku barvou, nastavenou v parametrech programu

syntaxe Syntaxe
zobrazí nebo skryje zvýraznění syntaxe

linenum Čísla řádků
zobrazí nebo skryje čísla řádků

wordwrap Zalomení řádků
pokud řádek přesahuje rozměry okna editoru, bude zalomen na další řádek. Pozor ! Při zalomení řádků je znepřístupněna volba sloupcových bloků

specchars Netisknutelné znaky
při zapnutí této volby se zobrazí mezery, konce řádků apod.

ruller Pravítko
zobrazí pravítko, které umožní lepší orientaci v textu (zobrazuje počet znaků)

ro Pouze pro čtení
umožní "zamknout dokument", takže nejsou možné žádné opravy

hexdump Hexadecimálně
přepne zobrazení dokumentu na hexadecimální a zpět. Návrat z hexadecimálního zobrazení je možný též pomocí pravého tlačítka myši na liště s názvy souborů.

stayontop Vždy nahoře
po nastavení této možnosti zůstane PSPad stále nahoře, nepřekryjí jej jiná okna

syntx Změna syntaxe
změní u otevřeného souboru zvýrazňovač syntaxe. Pokud jde o dosud neuložený soubor, změní se typ souboru


Menu formát

 pspadico PSPad - popis menu - formát
font Písmo
Změna písma a jeho vlastností pro editor

Převod písmen
lower Na velká písmena CTRL+ALT+U
upper Na malá písmena CTRL+ALT+L
capitalize První písmena velká CTRL+ALT+C
Inverzně
Změní velikost písmen v celém textu nebo označeném bloku. Po volbě první písmena velká budou velká písmena na začátku každého slova.

Klíčová slova na velká
Klíčová slova na malá
Tato volba provede změnu klíčových slov na velká nebo malá písmena. Povoleno pouze v případě zapnutého zvýraznění syntaxe, protože k rozeznání klíčových slov je použit zvýrazňovač

formatting increase indent Zvětšit odsazení SHIFT+CTRL+I
formatting decrease indent Zmenšit odsazení SHIFT+CTRL+U
Zvětší nebo zmenší odsazení vybraného bloku. Aby byla funkce přístupná, je nutno mít označený blok.

Přeformátovat text CTRL+K
Přístupné při vypnutém zalamování řádků
Provede přeformátování textu podle nastaveného pravého okraje. Při přeformátování dochází k zrušení konců řádků a nadbytečných mezer.
Pokud je text označen, přeformátuje označený text. Při neoznačeném textu přeformátuje aktuální odstavec. Jako oddělovač odstavců slouží prázdný řádek.
Pokud chcete přeformátovat odstavec na šířku 40 znaků, stačí kliknout na pravítko na čísle 40, tím se nastaví pravý okraj a klávesami Ctrl+K se provede přeformátování odstavce

Formátování kódu
Nástroj umožňuje měnit velikost písmen libovolné části zdrojového kódu. Označíte si části (jednu nebo více), které chcete upravit a zvolíte si velikost písmen

Označit jako komentář SHIFT+CTRL+A
Přidá na začátek každého řádku v označeném bloku řetězec komentáře, který je specifický pro daný programovací jazyk. Pracuje pouze v případě, že programovací jazyk podporuje tento typ komentářů

Odstranit komentář SHIFT+CTRL+R
Odstraní z označeného bloku řetězec komentářů, pokud je nalezen

Automatická detekce CP
Program se při otevírání souboru pokusí o automatickou detekci kódové stránky

Windows 1250
Latin II
Kamenických
ISO 8895-2
UNICODE
Tyto volby slouží k ručnímu nastavení kódové stránky a dají se využít pro konverzi kódových stránek

Formát souboru
DOS
UNIX
MAC
Různé systémy používají různé typy oddělovačů konců řádků. Pro DOS je to CR+LF, UNIX používá LF, MAC zase pouze CR. Takže od verze 3.1.7 máte možnost na stavovém řádku vidět typ souboru (který zůstane zachován při ukládání) a navíc máte možnost přes toto menu formát změnit a při uložení dojde ke konverzi.


Menu nástroje

 pspadico PSPad - popis menu - nástroje
Editace šablon
Zobrazí nabídku šablon a po výběru otevře soubor šablon k editaci

Šablona z bloku SHIFT+CTRL+Space
Umožní rychlé vytvoření šablony z označeného textu. Tato šablona je uložena do soubor šablon, příslušejícího k syntaxi otevřeného souboru.

Uživatelské zkratky
Ke každé šabloně je možno přiřadit horkou klávesu, kterou se dá šablona vložit do textu. Zde pak najdete seznam nastavených zkratek. Volba je přístupná pouze v případě, že nějaké klávesové zkratky existují

Makra
makrorecord Záznam makra CTRL+F5
Tlačítko na nástrojové liště obsahuje po rozbalení menu navíc i seznam uložených maker
makrostop Konec záznamu ALT+F5
makroplay Přehrát záznam F5
Podrobnosti k práci s makry ve zvláštní kapitole
Načíst makro
Uložit makro

Editovat makro
Zobrazí obsah makra v čitelné formě v novém okně editoru. Přehled použitelných příkazů najdete zde. Pro editaci maker je připraven zvýrazňovač i šablona. Doporučení pro nastavení barev zvýrazňovače je v kapitole o makrech.
Kompilovat makro
PSPad se pokusí zkompilovat obsah aktuálního editovaného souboru jako makro. Případné chyby jsou zobrazeny v LOG okně. Pokud se okno nezobrazí, je vše v pořádku a makro je přístupné pro spuštění.

ASCII tabulka ALT+A
Zobrazí ASCII tabulku od znaku 32 (mezerník) po znak 255. Tabulka umožňuje vkládat znaky do editovaného textu a tisk tabulky.

Monitorovat schránku
Pokud je volba aktivní, jsou zachyceny všechna kopírování do schránky v systému Windows a obsah je skládán do nově otevřeného souboru Clipboard.

Přepočet číselných soustav
Nástroj provádí přepočet mezi desítkovou, šestnáctkovou a dvojkovou soustavou

Operace s řádky
Vložit text na začátek řádků ALT+I
Na každý řádek nebo každý řádek označeného bloku bude vložen zadaný text
Odstranit citování
Citováním je myšleno uvození začátku každého řádku znakem >, jak to známe z elektronické pošty. Pomocí těchto nástrojů je možné citování z textu odstranit nebo naopak přidat. Volba je přístupná pouze při označení textu.
Odstranit nadbytečné mezery
Otevře dialog, ve kterém lze zadat, zda se mají odstranit nadbytečné mezery na začátku, na konci řádků nebo v textu. Všechny možnosti je možno kombinovat. Odstranění mezer v textu znamená, že mezi jednotlivými slovy zůstane pouze jedna mezera.
Odstranit prázdné řádky
Z celého textu budou odstraněny všechny prázdné řádky

Konverze textu
Odstranit diakritiku
Z celého textu nebo označeného bloku jsou odstraněna diakritická znaménka.
Tabulátory na mezery
Provede převod všech znaků 09h (tabulátor) na příslušný počet mezer, nastavený v parametrech programu
Konvertory
Pomocí externího souboru je možno vytvořit uživatelský konvertor. Podrobnosti o způsobu tvorby a použité syntaxi konvertoru najdete ve zvláštní kapitole.

Editace systémových souborů
Možná znáte program Sysedit, který otevře současně soubory Autoexec, Config, System.INI a Win.INI. Tak tato volba udělá přesně totéž, jsou otevřeny všechny 4 soubory a to se zvýrazněnou syntaxí.
Volba je přístupná pouze v případě, že je povoleno otevírat více souborů současně.

settings Možnosti
Tato volba slouží k nastavení parametrů programu a také pro vlastní nastavení barev a písma zvýrazňovačů syntaxe. Podrobněji popsáno ve zvláštní kapitole.


Menu HTML

 pspadico PSPad - popis menu - HTML

htmlreformat Přeformátovat HTML kód
Tento nástroj přeformátuje HTML kód tak, aby byl lépe čitelný. Provede hierarchické odsazení bloků textu, ohrazených tagy. Skripty a komentáře nechává beze změn.
htmlcompres Komprese HTML kódu
Pomocí tohoto nástroje jsou z HTML kódu odstraněny zbytečné mezery, konce řádků apod. Řádky jsou ukončeny přibližně po 200 znacích. Skripty a komentáře jsou ponechány beze změn. Účelem je jednak zmenšením kódu zvýšit rychlost načítání v prohlížeči a jednak také znepřehlednit čtení kódu.
Volba je přístupná pouze pro soubory typu HTML
tagupper Tagy na velká písmena
taglower Tagy na malá písmena
Změní velikost písma na velká nebo malá pouze pro HTML tagy
paleta Výběr barvy ALT+C
Otevře dialog pro výběr barvy s možností vložení přímo do textu na dvojklik myši. K dispozici jsou následující palety: bezpečné barvy, 16 barev a stupně šedé.
html2txt Odstranit tagy
Tento nástroj "vyzobe" z HTML kódu text a zobrazí jej v novém TXT souboru. Vhodné pro informativní zobrazení obsahu stránky.
Označit TAG SHIFT+CTRL+T
Označí obsah TAGu. Podmínkou je stát uvnitř počáteního tagu. Program počítá i s vnořenými strukturami. Při použití na <body> označí celé tělo HTML

Import z RTF
Umožní jednoduchý text, zapsaný ve formátu RFT zkonvertovat do HTML. Pak doporučuji pustit funkci TiDy clean document , která dokument přeformátuje a převede na CSS

Kontrola HTML CTRL+F10
Provede pouze kontrolu aktuálního dokumentu (beze změny kódu) a v LOG okně vypíše chyby a varování

TiDy funkce
Tyto funkce jsou dostupné v závislosti na obsahu souboru TiDyCFG.TXT. Více v kapitole o TiDy


Menu okno

 pspadico PSPad - popis menu - okno
projfilemain Hlavní soubor
označením souboru jako hlavního způsobí, že v externím programu se bude otevírat tento soubor, bez ohledu, který máme aktivní. Představte si např. editaci HTML stránek, kde hlavní označíme INDEX.HTML a editujeme nějakou podstránku. Po otevření v prohlížeči se zobrazí hlavní stránka.
Zrušení označení se provede opětným stiskem CTRL+M nebo výběrem z menu

logwindow Zobrazit/skrýt LOG
LOG je okno, které je na spodní straně obrazovky a obsahuje zprávy kompilátoru o průběhu kompilace. Podrobnější informace o kompilátoru najdete v samostatné kapitole

HTML náhled F10
Zobrazí / skryje náhled HTML stránky v interním WWW prohlížeči. Pokud necháte náhled na pozadí, provádí program po uplynutí zadaného intervalu (viz parametry editoru) občerstvování. Soubor není nutno ukládat. Obsah HTML dokumentu se ukládá do pracovního souboru, který je pak zobrazen.

Automatické občerstvování
Umožní automatické občerstvování aktuálního souboru (třeba LOG souboru) po zadaném intervalu (viz parametry programu). Refresh se provádí pouze v případě, že soubor je zobrazen. Jinak se provede občerstvení v případě, že je provedeno přepnutí do dokumentu určeného pro občerstvování. Indikován je v panelu se seznamem souborů zelenou barvou jména.
Při občerstvení je proveden vždy skok na konec souboru.

Další okno CTRL+Tab
Předchozí okno SHIFT+CTRL+Tab
umožňuje pohyb mezi okny pomocí klávesnice

lock Synchronizovat posuv CTRL+L
tato možnost je přístupná pouze při práci v rozděleném okně. Při aktivaci je uzamknut vzájemný posuv oken - při pohybu v jednom okně je automaticky posouváno druhé okno


Program

 pspadico PSPad - nastavení / program
Tisk syntaxe barevně
Zde je výchozí nastavení pro tisk na tiskárně. Pokud zvolíte přímo tisk, je nastavení respektováno. Pokud ale budete tisknout přes prohlížení před tiskem, máte možnost toto nastavení ovlivnit přímo v náhledu.

Historie souborů
Přepínač slouží k zapnutí / vypnutí ukládání historie posledních otevřených souborů.
Pokud je vypnuto, program si pamatuje historii v průběhu práce, ale historie nebude uložena při ukončení práce s programem.

Ukládat rozdělanou práci
Program si při ukončení zapamatuje naposledy otevřené soubory a při příštím spuštění je automaticky otevře. Bližší informace v samostatné kapitole

Zapamatovat stav souboru
PSPad si umí zapamatovat stav souboru, v jakém jste jej opustili při zavření souboru nebo programu a je schopen tento stav při příštím otevření souboru obnovit. Týká se to zobrazení čísel řádků, zalomení textu, kódové stránky, pozice kurzoru, záložek v textu, zamknutí souboru pouze pro čtení...
Touto volbou ovlivníte, zda si má PSPad stav souboru pamatovat nebo ne.

Rozdělit okna pod sebe
Program umožňuje rozdělit plochu a zobrazit 2 soubory a to buď vedle sebe nebo pod sebou. Tato volba určuje výchozí rozdělení. Alternativní je se stisknutou klávesou CTLR. Podrobněji v samostatné kapitole.

Vytvářet záložní soubory
Pokud je zatrženo, program před uložením souboru vytvoří záložní kopii s příponou, začínající znakem ~. Pokud se tedu soubor jmenuje MujText.TXT bude vytvořena záložní kopie MujText.~TXT
Pokud je vyplněn adresář pro zálohy, neprovádí se změna jména souboru, ale soubor včetně adresářové struktury se zálohuje do udaného adresáře (viz níže Adresář pro zálohu souborů)

Skrývat záložky souborů
Zde si určujete, zda má být panel se jmény souborů zobrazena vždy nebo pouze v případě, kdy je otevřen více než jeden soubor

Skrývat typy souborů na záložkách
Určuje, zda na panelu souborů budou zobrazena jména souborů včetně typů nebo jen jména

Záložky souborů nad projektem
Zde si určujete, zda má být lišta se jmény souborů zobrazena nad projektem nebo vedle projektu

V projektu celé jméno
V projektu je standardně uvedeno pouze jméno souboru. Při zatržení této volby když najedete myší nad soubor, ukáže se celé jméno souboru včetně cesty

Povolit HTML multizvýrazňovač
PSPad umožňuje vrámci HTML kódu zvýrazňovat i skriptovací jazyky. Program provádí rozeznávání a volí zvýrazňovač pro příslušný jazyk.

Chyby v interním HTML prohlížeči
Tímto parametrem určujete, zda se mají zobrazovat chybová hlášení v interním HTML prohlížeči. V případě, že jej máte na pozadí a píšete skripty, tak to může obtěžovat. V základním stavu jsou chybová hlášení vypnutá.

Ident.byty v kódování UTF-8
Kódování jako UNICODE a UTF-8 obsahují na začátku byty, které toto kódování identifikují. Tyto byty jsou do souboru opět zapisovány. Některým programům (interpretr PHP) tyto byty vadí. Takže zde si určujete, že je nechcete do souboru zapisovat.

Otevírat v HEXA editoru
Seznam typů souborů, které budou otevřeny přímo v HEXA editoru ve tvaru .TYP1;.TYP2

Jazyk
Nastavuje jazyk pro uživatelské rozhraní PSPadu. Jazyk je možno přepínat v pruběhu práce.

Počáteční adresář pro první otevření souboru
Určuje adresář, který se nabídne v dialogu vyvolaném poprvé při otevření souboru

Adresář pro zálohu souborů
Poukud není vyplněno, provádá se zálohování pomocí přidání znaku ~ do typu souboru.
Pokud je určen adresář, neprovádí se změna jména, ale soubor se včetně cesty ukládá do zadaného adresáře.
Příklad:
původní soubor: C:\Projekty\Delphi\PSPad\PSPad.DPR
adresář pro zálohu: D:\Zalohy
zálohováno jako: D:\Zalohy\Projekty\Delphi\PSPad\PSPad.DPR


Editor

 pspadico PSPad - nastavení / editor
Nastavení editoru
Vstup za konec řádku
Povoluje umístit kurzor i za posledním znakem na řádku

Přidávat odřádkování
Při uložení souboru je přidáno jedno ukončení řádku

Sloupcový blok myš + ALT
Pokud je zvoleno, je možno rychle přepínat mezi normálním a sloupcovým blokem při označování textu myší pomocí klávesy ALT. Bez držení ALT normální blok, s přidržením ALT sloupcový blok. Pokud volbu vypnete, přepínání je možné pomocí klávesových zkratek SHIFT+CTRL+N C L nebo menu Úpravy / druh bloku

Pravá myš nepřesouvá kurzor
Po stisku pravého tlačítka myši (pokud není označen blok) se kurzor přesouvá na místo stisku. Aktivováním této volby je možno přesunu kurzoru zamezit.

Automatické odsazení
Při aktivovaném automatickém zarovnávání se kurzor po stisku klávesy ENTER nepřesune na začátek dalšího řádku, ale zarovná se pod začátek prvního slova předchozího řádku - automaticky dodržuje odsazení

Skutečné tabulátory
Za normálních okolností PSPad nahrazuje tabulátory (znak #9) příslušným počtem mezer. Má to své výhody. Text vypadá stejně v jakémkoliv editoru, nemusíte přemýšlet, jestli jsou na začátku mezery nebo tabulátor apod. Nevýhodou je větší počet znaků. Místo jednoho znaku je v souboru několik mezer.
Od této chvíle máte možnost zapnout používání skutečných tabulátorů. V souboru znak #9 zůstane a stiskem klávesy TAB se také vloží.
Chtěl bych upozornit na to, že pokud použijete tuto volbu, bude omezena možnost zvětšení a zmenšení odsazení bloku.

Chytré tabulátory
Pokud za normálních okolností stisknete klávesu TAB, kurzor se posune o pevně daný počet znaků. V případě, že povolíte volbu "chytré" tabulátory, po stisku klávesy TAB se bude kurzor zarovnávat podle slov v předchozím řádku.

Zalamovat podle pravého okraje
Text se zalomí ne podle šířky okna, ale podle nastaveného ukazatele pravého okraje

Úzký font pro číslování řádků
Pokud je zvoleno, pro číslování řádků je použit font Terminal. V opačném případě se použije shodný font s nastavením editoru. Má smysl měnit pouze v případě že se vám chybně zobrazuje číslování řádků.

Šířka tabulátoru
Určuje počet znaků, reprezentujících tabulátor (velikost "odskočení" textu)

Automatické ukládání [min]
Pokud je nastaveno číslo větší než 0, PSPad bude automaticky po uplynutí nastaveného intervalu v minutách ukládat změněné soubory. Funkce je zcela totožná s manuálním vyvoláním Uložit vše

Automatický refresh [s]
Tato hodnota určuje dobu, za kterou se bude provádět občerstvení obsahu souboru, který je pro občerstvování označen a je aktivní (viz menu okno) nebo HTML náhledu, pokud je ponechán na pozadí

Maximální délka řádku
Zde máte možnost nastavit maximální délku řádku. Standardní hodnota je 1024 znaků, v některých případech (HTML stránky) může být nedostačující. Ve většině případů nemá smysl měnit.

Pravý okraj [znaků]
Určujete pozici svislé čáry - ukazatele pravého okraje, který se zobrazí po zadaném počtu znaků

Výchozí CP pro otevírání souborů
Zde je možno zvolit výchozí kódovou stránku, která bude použita při otevření souboru.
Pokud je nastaveno "Nastavena v menu Formát", bude použito aktuální nastavení z daného menu.

Porovnání souborů
Ignorovat barvy zvýrazňovače
V okně, ve kterém budou zobrazeny rozdíly souborů nebuodu nebude zobrazen text v barvách podle zvýrazňovače, pouze bude zachován styl písma. Přispívá to k lepší čitelnosti.

Ignorovat velikost písmen
Při porovnání nebude brán ohled na velikost písmen.

Ignorovat volné místo
Při porovnání nebude brán ohled na mezery a tabulátory v textu. Jejich rozílný počet pak neznamená změnu.


Barvy

 pspadico PSPad - nastavení / barvy
Základní barvy
Barva písma
Barva pozadí
Těmito barvami je možno hromadně měnit barvu písma a pozadí ve všech zvýrazňovačích. Pracuje to tak, že po změně barvy se přepíší všechny barvy zvýrazňovačů, které mají barvu písma shodnou s původní barvou.
Např. písmo je černé, změníme jej na zelené. To způsobí změnu písma ve všech atributech všech zvýrazňovačů, které mají barvu písma černou.

Pozadí bloku
Písmo bloku
Určuje barvy označeného bloku textu

Barva aktuálního řádku
Tato barva určuje barvu pozadí aktuálního řádku, pokud je zvoleno jeho zvýrazňování

Barva pravého okraje
Určuje barvu ukazatele pravého okraje. Pokud chcete ukazatel skrýt úplně, nastavte barvu na Window (stejnou jako pozadí editoru)

Pozadí řádků rozdílů v textu
Přidané
Odebrané
Změnněné
Při porovnávání souborů jsou pro lepčí orientaci řádky podbarveny. Každá barva indikuje určitý druh změny v souboru.

Sekce multizvýrazňovače
Barva písma
Barva pozadí
Při používání multizvýrazňovače jsou začátky jednotlivých sekcí (skripty, CSS apod.) zbýrazněny pomocí tohoto nastavení


Systém

 pspadico PSPad - nastavení / systém
Přímo otevírat TXT soubory
Tato volba způsobí změnu přiřazení programu pro TXT soubory. Standardně je tato možnost nastavena pro NOTEPAD.EXE. Máte možnost přepínat mezi PSPad a Notepad.

Integrovat na pravé tlačítko
Zde máte možnost otevírat soubory, které jsou asociované s jiným programem (HTML, SQL). Určitě by se vám nelíbilo, pokud by se toto přiřazení změnilo přímo na PSPad. Nabízí se lepší možnost - původní přiřazení zůstane, na dvojklik myší nebo Enter se HTML soubor otevře v původním přiřazeném programu. Pokud ale stisknete na souboru pravé tlačítko, objeví se možnost PSPad a po potvrzení se soubor v PSPadu také otevře.

Editor HTML v IE
Nastaví PSPad jako výchozí editor HTML v Internet Exploreru

Prohlížeč HTML v IE (Internet Exploreru)
Prohlížeč HTML v OPERA
V prohlížeči je možno na pravé tlačítko zobrazit zdroj HTML stránky. Pokud zaškrtnete tuto možnost, zdroj se otevře v PSPadu
Vyžaduje Internet Explorer verze 5 a vyšší, OPERA browser 5.10 a vyšší.
V případě prohlížeče OPERA je tato volba přístupná pouze v případě, kdy prohlížeč není spuštěn. jinak totiž není možno nastavení zapsat !

Editor pro Win Commander
Nastaví PSPad jako výchozí editor v manažeru Windows Commander.
Tato volba je přístupná pouze v případě, že není Windows Commander spuštěn. Jinak totiž není možno nastavení zapsat !

e-Mail
Nastavení poštovního klienta, kterého bude PSPad používat. Nastavení je nezávislé na nastavení výchozího klienta v systému Windows.

Víceuživatelské prostředí
Od verze 3.5.6 je podporována činnost PSPadu ve víceuživatelském prostředí (např. Windows NT), kdy konfigurace a další pomocné soubory jsou ukládány v adresáři profilu jednotlivých uživatelů.
Při prvním spuštění PSPadu pod novým uživatelem je konfigurace zkopírována do jeho profilu. Informace je uložena v souboru PSPad_MU.INI v adresáři PSPadu. Právo měnit informaci má pouze uživatel, který má přístup pro změny do adresáře s PSPadem. Pro ostatní uživatele je volba nepřístupná.

Minimalizovat do ikony
Program se při ukončení schová do malé ikony umístěné v pravé části hlavního panelu. Je tak stále okamžitě k dispozici. K obnovení programu dojde kliknutím na ikonu levým tlačítkem, vyvolání menu na ikoně pravým tlačítkem nebo otevřením souboru např. z Windows Commanderu. Skutečné ukončení programu se provede pravým tlačítkem na ikoně programu.
Daní za okamžité spouštění je zabraných asi 3-4 MB paměti.
Pokud máte volbu aktivovanou a chcete PSPad uzavřít bez minimalizace, použijte volbu menu Soubor/Konec

Více souborů současně
Zde si určujete, zda se má PSPad chovat jako standardní NOTEPAD, tzn. pro každý soubor otevřít novou instanci programu nebo se má pustit pouze jednou a všechny soubory otevírat v jediné instanci programu.
Pokud je povoleno otevírání více souborů a je otevřeno dva a více souborů, objeví se zvláštní lišta s tlačítky, obsahujícími jména souborů. Pomocí těchto tlačítek pak lze přepínat mezi okny (lze využít i CTRL+Tab nebo SHIFT+CTRL+Tab)

Registrovat typy souborů
Tato volba umožňuje zaregistrovat PSPad pro přímé otevírání konkrétních typů souborů.
Např. pokud chcete otevírat soubory typu .CFG přímo v PSPadu, zapíšete .CFG do editačního políčka a stisknete tlačítko Přidat. V tom okamžiku se provede registrace typu a soubor je možno v PSPadu otevřít přímo poklepáním. Při stisku tlačítka Delete, je registrace zrušena.


Pravopis

 pspadico PSPad - pravopis
Nastavení kontroly pravopisu
O kontrole pravopisu pojednává samostatná kapitola.

Slovník
volí se jazyk slovníku

Styl zvýraznění
styl podtržení neznámých slov (MS word, Corell WordPerfect)

Ignorovat jednoznaková slova
slova obsahující pouze jedno písmeno budou ignorována

Igorovat slova s čísly
slova, obsahující čísla budou ignorována

Automatické opravy
Od verze 3.2.3 PSPad umožňuje automatické opravy.

Jak to pracuje ?
Automatické opravy pracují se seznamem slov, který obsahuje řetězec, který se má nahradit a řetězec kterým se má původní nahradit. Jakmile napíšete slovo, které se vyskytuje v prvním seznamu, editor jej nahradí. Nahrazení je provedeno až po zapsání dalšího znaku - oddělovače slov (mezerník, závorka atd.)

Co to znamená, kdy to využít ?
Stává se, že se často pletete v tom samém slově. Proč pak nenechat na editoru, aby tyto překlepy opravoval sám ?
Dalším případem je zrychlení psaní zdrojových kódů. Třeba v HTML často používám <li>. Proč nenechat editor, aby po napsání li doplnil okolo závorky ? Nebo existuje často využívaná funkce s dlouhým jménem např. IncludeTrailingBackSlash. Mohu využít automatické opravy a po napsání slova itb si jej nechat "opravit" na celé jméno funkce.
Další možnosti určitě vymyslíte sami.

Kde je to uloženo ?
Seznam slov je uložen v souboru AutoCorr.TXT, který je umístěn ve stejném adresáři jako PSPad.EXE.
Je to obyčejný textový soubor se strukturou:
co nahradit|čím nahradit


Zvýraznění syntaxe

 pspadico PSPad - nastavení zvýraznění syntaxe
Program nabízí uživatelské přizpůsobení zvýrazňovačů. Na několika kartách jdou nastavit barvy a vlastnosti písma, filtry pro otevírání souborů, externí programy, ve kterých je možno editovaný soubor otevřít a konečně i nastavení kompilátoru.

Nastavení je uloženo v souboru PSPad.INI v následujícím formátu:
8 bytů barva písma, 8 bytů barva pozadí, po jednom bytu pak tučné, kurzíva, podtržené.
Barvy písma se skládají :
2 byty číslo palety (mohou být nulové) a po 2 bytech pak složky R,G,B
Pro druh písma pak platí: 0 není vybrán, 1 je vybrán

Načtení palety barev
PSPad od verze 3.5.2 umožňuje načtení barevného schématu. Tím dojde k přestavení barev editoru a všech zvýrazňovačů.
· pro načtení barev je třeba vybrat nějaké schéma z rozbalovacího seznamu a stisknout tlačítko načíst.
· pro uložení schématu napíšete vlastní jméno schématu a stisknete tlačítko uložit.

HTML Multi-zvýrazňovač

Tento zvýrazňovač spojuje dohromady několik zvýrazňovačů, týkajících se editace HTML. Jeho vlastnosti nejsou nastavit přímo, nastavovují se u jednotlivých zvýrazňovačů.
Výchozím nastavením je zvýrazňovač HTML (filtr pro otevírání souborů a externí příkazy).

Detekce částí HTML dokumentu
· <script> </script> JavaScript
· <script...javascript...> </script> JavaScript
· <% %> VisualBasic script
· <script...vbscript...> </script> VisualBasicScript
· <script...tcl...> </script> TCL/TK
· <? ?> PHP
· <script...php...> </script> PHP
· <style...> </style> CSS

Nastavení filtrů pro otevírání souborů

Jméno filtru
je zobrazeno v dialogu otevírání a ukládání souborů

Masky souborů
určují přiřazení souborů jednotlivým zvýrazňovačům. Podle těchto masek pak program pozná jaký zvýrazňovač při otevření souboru použít. Pokud přidělíte několika typům zvýrazňovačů stejnou masku, bude použit první výskyt.

Uživatelské zvýrazňovače
Program umožňuje definovat vlastní zvyrazňovače. Pokud tedy vyberete zvýrazňovač, který umožňuje uživatelskou definici, je toto pole zpřístupněno a vy máte možnost jednoduchým výběrem přiřadit nadefinovaný zvýrazňovač.
V tomto případě se jméno filtru a masky přebírají z uživatelského zvýrazňovače. V případě požadavku na změnu je třeba jít do definice vlastního zvýrazňovače a provést změnu tam.


Externí programy

 pspadico PSPad - externí programy
Pro každý typ souboru je možno přiřadit až 5 externích programů (další jsou ignorovány). Výchozí je program, který je na prvním místě.

Seznam programů
Obsahuje přiřazené programy. K úpravám, přidávání a mazání slouží editační políčka pod seznamem. Při výběru některého řádku je jeho obsah přenesen do políček a je možno jej opravit, mazat, přidat znovu.
Pomocí šipek vedle seznamu je možno měnit pořadí programů v seznamu.
Výchozí program se v editoru spouští klepnutím na ikonu shellopen nebo klávesou F9. Ostatní programy přes malou šipku vedle ikony nebo z menu Soubor.

Jméno
pod tímto jménem najdete program v menu
Program
vlastní jméno programu včetně plně kvalifikované cesty a parametrů
LOG soubor
Pokud je vyplněn LOG soubor, provede se spuštění příkazu, počká se na dokončení a pak se dobrazí obsah výsledného souboru v LOG okně. Dokud nebude spouštěný program ukončen, není možno v práci pokračovat. takže použití je pro nějaké řádkové příkazy apod., u kterých chcete vědět, jak dopadl výsledek.
Pokud není LOG vyplněn, provede se příkaz (třeba zoobrazení souboru v prohlížeči) a lze pokračovat v práci.

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru. Bližší informace a seznam proměnných v kapitole o nastavení kompilátoru

Přidat
Tlačítko je přístupné po vyplnění jména programu a cesty k programu. Vloží vyplněné údaje do seznamu
Smazat
Tlačítko je přístupné v případě, že je v seznamu vybrána položka a slouží k odstranění vybraného řádku ze seznamu
Opravit
Nahradí vybraný řádek v seznamu obsahem editačních políček
Najít program
S výhodou je možno použít toto tlačítko, které pomocí výběru programu vyplní editační políčka

Příklady jednotlivých nastavení
najdete v kapitole o práci s PSPadem

Formát příkazu:
jméno_v_menu,"externí_program" parametry §"LOG_soubor"

Příklad nastavení pro HTML:
Internet Explorer,"c:\program files\Internet Explorer\IExplore.EXE" "%File"
Opera,"c:\program files\opera\opera.exe" "%File"

Příklady z praxe pro práci s MS-SQL:

1. jednoduchá náhrada Query Analyzeru
V textu editoru napíšu SQL dotaz a v LOG souboru se mi vrátí výsledek dotazu (jednotlivé řádky výsledné tabulky). Lze pohodlně psát uložené procedury, vytvářet a rušit tabulky apod. Díky možnosti mít více příkazů si můžu nadefinovat řádky pro jednotlivé SQL servery a spouštět příkazy na určeném serveru.

2. konverze dat
Výsledkem je textový soubor, který na SQL server je posíláme přes BCP.
Takže si v PSPadu si otevřu daný soubor, vidím obsah a spuštěním příkazu jej pomocí BCP odešlu na server, v LOGu vidím výsledek. Pokud se nezadařilo, přepnu se do dalšího okna s typem souboru SQL, napíši příkaz na vymazání obsahu tabulky, přepnu se zpět na zdroj pro BCP, provedu úpravy a odešlu na server znovu. A to vše v PSPadu.


Nastavení kompilátoru

 pspadico PSPad - nastavení kompilátoru
V některých případech je nutno soubor nejen otevřít v externím programu, ale také spustit externí kompilátor, počkat na dokončení kompilace, zobrazit obsah okna s výsledky kompilace, popř. výsledný soubor spustit.
V programu se kompilátor spouští pomocí ikony projcompile nebo klávesovou zkratkou Ctrl+F9

Jaký soubor je předán kompilátoru
Program postupuje v následujícím pořadí:
· hlavní soubor projektu
· hlavní soubor, pokud není použit projekt
· aktivní dokument

Kompilátor
Určuje plně kvalifikovanou cestu k programu kompilátoru. Cesta se nedává do uvozovek, ty jsou doplněny automaticky.

Parametry
Parametry slouží pro nastavení vlastností kompilátoru, předání souboru, nastavení cesty pro výsledný LOG soubor atd.
Přehled parametrů určující předaný soubor je uveden ve spodní části okna

LOG soubor
Do logového souboru jsou kompilátorem ukládány zprávy o průběhu a výsledku kompilace. PSPad umí tento soubor zobrazit v okně na spodní části obrazovky. Pokud je toto políčko vyplněno, soubor bude po kompilaci automaticky zobrazen.
Log soubor lze zobrazit z menu Okno

Spustit po kompilaci
Pokud si chcete prohlédnout výsledek vaší snahy, stačí vyplnit toto políčko. Po dokončení kompilace pak bude výsledný program spuštěn.

Soubor s nápovědou
Pokud si vyplníte odkaz na soubor s nápovědou, můžete využít klávesovou zkratku ALT+F1 k vyvolání nápovědy pro aktuální slovo. V multizvýrazňovači se vyvolá nápověda k příslušnému skriptu, pokud je nastavena.

Příklady jednotlivých nastavení
najdete v kapitole o práci s PSPadem

Proměnné:
pro jméno souboru, popř. specifikaci výsledného souboru se používají proměnné, které jsou při provádění příkazu nahrazeny odpovídajícím obsahem ze jména souboru.

%File%    nahrazuje jméno souboru včetně cesty
%Dir%     nahrazuje cestu k souboru
%Name%    nahrazuje jméno souboru bez cesty a přípony
%Ext%     nahrazuje příponu souboru
%URLFile% nahrazuje jméno souboru včetně cesty
%HttpFile% nahrazuje jméno souboru včetně cesty

Příklad:
Je předán soubor : c:\Dokumenty\HTML\Test.HTM
Obsah jednotlivých proměnných:

%File%     c:\Dokumenty\HTML\Test.HTM
%Dir%      c:\Dokumenty\HTML\
%Name%     Test
%Ext%      .HTM
%URLFile%  file://localhost/c:/Dokumenty/HTML/Test.HTM
%HttpFile% http://localhost/c:/Dokumenty/HTML/Test.HTM


Vlastní zvýrazňovač

 pspadico PSPad - vlastní zvýrazňovač
Popis jednotlivých položek dialogu

Jméno
Zde se uvádí jméno typů souborů, pro které je zvýrazňovač určen. Toto jméno se objeví v nabídkách, ve filtru při otevírání souborů, v typu souborů na stavovém řádku atd.

Přípony souborů
Seznam masek, které se uplatní při otevírání souboru a při detekci, který zvýrazňovač se použije. Jednotlivé masky jsou odděleny čárkami

Styl komentářů
Specifikuje jaký druh komentářů je v daném souboru použit. Komentáře lze libovolně kombinovat. Na výběr máte 5 druhů standardních komentářů:

(* *) - komentář začíná znaky (* a končí znaky *)
{} - komentář začíná znakem { a končí znakem }
// - komentář začíná znaky // a platí do konce řádku
/* */ - komentář začíná znaky /* a končí znaky */
; - komentář je uvozen znakem ; a platí do konce řádku
* && - komentář začíná znakem * (první znak na řádku) nebo znaky && a platí do konce řádku
# - komentář začíná znakem # a platí do konce řádku
@ - komentář začíná znakem @ a platí do konce řádku
/ - komentář začíná znakem / na začátku řádku nebo za středníkem a platí do konce řádku
REM - komentář začíná na začátku řádku znaky REM
! - komentář začíná znakem ! a platí do konce řádku
% - komentář začíná znakem % a platí do konce řádku

Řetězce
Slouží k identifikaci řetězců. Na výběr jsou dvě možnosti:

Apostrofy - 'řetězec'
Uvozovky - "řetězec"

Preprocesory
jsou zvláštní řetězce, které slouží pro řízení kompilátoru, větvení programu, podmínečnému překladu apod.

Klíčová slova
Zde je uveden seznam klíčových slov, které se v programu vyskytují.
Podmínky pro klíčová slova:
· každé slovo na zvláštním řádku
· jsou psány velkými písmeny (při uložení jsou automaticky převedena na velká)
· jsou seřazeny podle abecedy (při uložení jsou automaticky seřazena)

Vyhrazená slova
Mají stejný význam jako klíčová slova. Doplněno od verze 3.1.6. Využívá se, pokud chcete barevně rozlišit dvě skupiny slov. Pojmenování "Klíčová" a "Vyhrazená" slouží pouze k rozlišení seznamů, není v tom skryt žádný další význam. použít to můžete třeba pro definici datových typů apod. Pokud se stejné slovo vyskytuje v obou seznamech, je použito slovo z klíčových slov a s tím souvisí i barva syntaxe

Načíst
Provede načtení definice zvýrazňovače. Program předpokládá uložení definice v podadresáři Syntax. Pokud soubor načtete třeba z diskety, při uložení bude provedena kontrola existence (popř. vytvoření) podadresáře a soubor s definicí bude uložen tam.

Uložit
Provede uložení souboru s definicí do podadresáře Syntax. Jméno souboru je totožné se jménem, uvedeným v políčku Jméno.
V případě, že je zvýrazňovač, se kterým se pracuje aktivní, jsou změny při uložení promítnuty i do všech otevřených souborů, které jej používají.

Jak vytvořit vlastní zvýrazňovač

Definice zvýrazňovače
Vyplnit jméno zvýrazňovače - toto jméno se bude ukazovat v menu
Vyplnit masky souborů. Ty potom poslouží k automatickému přiřazení zvýrazňovače při otevření souboru
Vybrat typ komentářů, který nejlépe odpovídá stylu ve vašem souboru.
Zvolit typ řetězců - řetězec je v apostrofech nebo uvozovkách
Vyplnit seznam klíčových, popř. vyhrazených slov. Ty jsou při uložení setříděny abecedně automaticky, takže si s tím nemusíte dělat starosti.
Pak zvýrazňovač uložíte tlačítkem "Uložit". Od této chvíle bude zvýrazňovač nahrán při startu PSPadu automaticky.

Nastavení barev pro zvýraznění syntaxe
Pokud někomu nevyhovuje standardní nastavení barev, můžete přejít na záložku "Barvy syntaxe" a jednoduchým nastavením barvy písma a pozadí si přebarvíte odpovídající typ. Při nastavování barvy pozadí a písma doporučuji použít barvy Window a Font. Tím si zajistíte automatickou změnu barev při globální změně vzhledu Windows.

Význam některých typů při nastavování barev
· Návěští jsou slova začínající znakem @, obsahující písmena bez diakritiky, pomlčku a podtržítko
· Symboly jsou znaky, které nejsou písmena (matematické znaky, závorky apod.), kromě znaků, použitých v jiných typech (např. komentářích)
· Identifikátory jsou všechny ostatní znaky

Popis struktury definičního souboru:

;komentář, ignorováno
;jméno sekce, povinné
[Settings]
;jméno typu souboru - povinné
Name=OtherCad
;seznam typů souborů - povinná min.jedna položka
FileType=*.prg,*.bpk
;nastavení jednotlivých parametrů. Nepovinné, 1 = Ano, 0 = Ne
ANSIComment=0
PasComment=0
CComment=0
SpecComment=1
BasComment=0
SingleQuote=0
Preprocessors=0
;jméno sekce - povinné
[KeyWords]
;jednotlivá klíčová slova velkými písmeny, seřazená abecedně
ABS=
ACOS=
ATN=
BOOLEAN=
;jméno sekce - povinné
[ReservedWords]
;jednotlivá vyhrazená slova velkými písmeny, seřazená abecedně
BOOLEAN=
INTEGER=
STRING=


Program

 pspadico PSPad - nastavení / program
Více souborů současně
Zde si určujete, zda se má PSPad chovat jako standardní NOTEPAD, tzn. pro každý soubor otevřít novou instanci programu nebo se má pustit pouze jednou a všechny soubory otevírat v jediné instanci programu.
Pokud je povoleno otevírání více souborů a je otevřeno dva a více souborů, objeví se zvláštní lišta s tlačítky, obsahujícími jména souborů. Pomocí těchto tlačítek pak lze přepínat mezi okny (lze využít i CTRL+Tab nebo SHIFT+CTRL+Tab)

Tisk syntaxe barevně
Zde je výchozí nastavení pro tisk na tiskárně. Pokud zvolíte přímo tisk, je nastavení respektováno. Pokud ale budete tisknout přes prohlížení před tiskem, máte možnost toto nastavení ovlivnit přímo v náhledu.

Historie souborů
Přepínač slouží k zapnutí / vypnutí ukládání historie posledních otevřených souborů.
Pokud je vypnuto, program si pamatuje historii v průběhu práce, ale historie nebude uložena při ukončení práce s programem.

Ukládat rozdělanou práci
Program si při ukončení zapamatuje naposledy otevřené soubory a při příštím spuštění je automaticky otevře. Bližší informace v samostatné kapitole

Zapamatovat stav souboru
PSPad si umí zapamatovat stav souboru, v jakém jste jej opustili při zavření souboru nebo programu a je schopen tento stav při příštím otevření souboru obnovit. Týká se to zobrazení čísel řádků, zalomení textu, kódové stránky, pozice kurzoru, záložek v textu, zamknutí souboru pouze pro čtení...
Touto volbou ovlivníte, zda si má PSPad stav souboru pamatovat nebo ne.

Rozdělit okna pod sebe
Program umožňuje rozdělit plochu a zobrazit 2 soubory a to buď vedle sebe nebo pod sebou. Tato volba určuje výchozí rozdělení. Alternativní je se stisknutou klávesou CTLR. Podrobněji v samostatné kapitole.

Vytvářet záložní soubory
Pokud je zatrženo, program před uložením souboru vytvoří záložní kopii s příponou, začínající znakem ~. Pokud se tedu soubor jmenuje MujText.TXT bude vytvořena záložní kopie MujText.~TXT
Pokud je vyplněn adresář pro zálohy, neprovádí se změna jména souboru, ale soubor včetně adresářové struktury se zálohuje do udaného adresáře (viz níže Adresář pro zálohu souborů)

Skrývat záložky souborů
Zde si určujete, zda má být panel se jmény souborů zobrazena vždy nebo pouze v případě, kdy je otevřen více než jeden soubor

Skrývat typy souborů na záložkách
Určuje, zda na panelu souborů budou zobrazena jména souborů včetně typů nebo jen jména

Záložky souborů nad projektem
Zde si určujete, zda má být lišta se jmény souborů zobrazena nad projektem nebo vedle projektu

V projektu celé jméno
V projektu je standardně uvedeno pouze jméno souboru. Při zatržení této volby když najedete myší nad soubor, ukáže se celé jméno souboru včetně cesty

Povolit HTML multizvýrazňovač
PSPad umožňuje vrámci HTML kódu zvýrazňovat i skriptovací jazyky. Program provádí rozeznávání a volí zvýrazňovač pro příslušný jazyk.

Chyby v interním HTML prohlížeči
Tímto parametrem určujete, zda se mají zobrazovat chybová hlášení v interním HTML prohlížeči. V případě, že jej máte na pozadí a píšete skripty, tak to může obtěžovat. V základním stavu jsou chybová hlášení vypnutá.

Ident.byty v kódování UTF-8
Kódování jako UNICODE a UTF-8 obsahují na začátku byty, které toto kódování identifikují. Tyto byty jsou do souboru opět zapisovány. Některým programům (interpretr PHP) tyto byty vadí. Takže zde si určujete, že je nechcete do souboru zapisovat.

Otevírat v HEXA editoru
Seznam typů souborů, které budou otevřeny přímo v HEXA editoru ve tvaru .TYP1;.TYP2

Jazyk
Nastavuje jazyk pro uživatelské rozhraní PSPadu. Jazyk je možno přepínat v pruběhu práce.

Počáteční adresář pro první otevření souboru
Určuje adresář, který se nabídne v dialogu vyvolaném poprvé při otevření souboru

Adresář pro zálohu souborů
Poukud není vyplněno, provádá se zálohování pomocí přidání znaku ~ do typu souboru.
Pokud je určen adresář, neprovádí se změna jména, ale soubor se včetně cesty ukládá do zadaného adresáře.
Příklad:
původní soubor: C:\Projekty\Delphi\PSPad\PSPad.DPR
adresář pro zálohu: D:\Zalohy
zálohováno jako: D:\Zalohy\Projekty\Delphi\PSPad\PSPad.DPR